/*
 * *********************************************************************************************************************
 *
 *          !!
 *        .F88X
 *        X8888Y
 *      .}888888N;
 *        i888888N;        .:!              .I$WI:
 *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
 *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
 *            +888888N;  .8888888Y                                  "&&8Y.}8,
 *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
 *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
 *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
 *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
 *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
 *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
 *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
 *      .:R888888I
 *      .&888888I                                          Copyright (c) 2009-2021.  博锐尚格科技股份有限公司
 *        ~8888'
 *        .!88~                                                                     All rights reserved.
 *
 * *********************************************************************************************************************
 */

package com.persagy.server.datacenter.models.entities.graphtype

import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 关系对照表
 */
@Schema(description = "关系类型实体类")
@Table(name = "graphtype.rel_examples")
class RelExamples {


    /** 图类型编码 */
    @Schema(description = "图类型编码")
    @Id
    @Column(name = "group_code")
    var groupCode: String? = null

    /** 边类型编码 */
    @Schema(description = "边类型编码")
    @Id
    @Column(name = "rel_code")
    var relCode: String? = null

    /** 边类型名称 */
    @Schema(description = "边类型名称")
    @Column(name = "rel_name")
    var relName: String? = null

    /** 关系两侧对象类别 */
    @Schema(description = "关系两侧对象类别")
    @Column(name = "rel_object_category")
    var relObjectCategory: String? = null

    /** 图分类 */
    @Schema(description = "图分类")
    @Column(name = "group_name")
    var group_name: String? = null

    /** 图类型名称 */
    @Schema(description = "图类型名称")
    @Column(name = "group_category")
    var groupCategory: String? = null

    /** 边方向性 */
    @Schema(description = "边方向性")
    @Column(name = "directivity")
    var directivity: String? = null

    /** 边属性 */
    @Schema(description = "边属性")
    @Column(name = "properties")
    var properties: String? = null

    /** 备注 */
    @Schema(description = "备注")
    @Column(name = "note")
    var note: String? = null

    /** 备注 */
    @Schema(description = "数据中心类型")
    @Column(name = "datacenter_code")
    var datacenterCode: String? = null

    /** 主要连接对象 */
    @Schema(description = "主要连接对象")
    @Column(name = "connection_object")
    var connectionObject: String? = null

}