/*
 * *********************************************************************************************************************
 *
 *          !!
 *        .F88X
 *        X8888Y
 *      .}888888N;
 *        i888888N;        .:!              .I$WI:
 *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
 *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
 *            +888888N;  .8888888Y                                  "&&8Y.}8,
 *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
 *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
 *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
 *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
 *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
 *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
 *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
 *      .:R888888I
 *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
 *        ~8888'
 *        .!88~                                                                     All rights reserved.
 *
 * *********************************************************************************************************************
 */

package com.persagy.server.datacenter.models.entities.task

import com.persagy.server.datacenter.models.entities.dict.EquipFamilyCategory
import com.persagy.server.datacenter.models.entities.objects.Building
import com.persagy.server.datacenter.models.entities.objects.Floor
import com.persagy.server.datacenter.models.entities.objects.Project
import com.persagy.server.datacenter.models.entities.task.base.ScanTaskBase
import com.persagy.service.models.annotations.SCascade
import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Table

/**
 * 资产台账任务
 *
 * @author  邓婷婷
 */
@Schema(description = "资产台账任务实体类")
@Table(name = "scantask.property_scan_task")
open class PropertyScanTask : ScanTaskBase() {

//    val CODE_TYPE_SIMA_DEL= -5 //已撕码
//    val CODE_TYPE_NONE = -1//未贴码
//    val CODE_TYPE_FAR = -2//太远
//    val CODE_TYPE_HIDEN = -3//隐藏工程
//    val CODE_TYPE_NOTFOUND = -4//未找到
//    val CODE_TYPE_NORMAL = 0//正常贴码
//    val CODE_TYPE_TIEMA = 1//贴码
//    val CODE_TYPE_HUANMA = 2//换码任务
//    val CODE_TYPE_SIMA = 3//撕码


    /** 级联-项目   table  对应关系表   idColumn 对应 本类的id    childIdColumn 级联对象的关系id */
    @Schema(description = "级联-项目")
    //@SCascade(table="scantask.property_scan_task", idColumn="id", childIdColumn="project_id")
    var project: Project? = null

    /** 级联-建筑 */
    @Schema(description = "级联-建筑")
   // @SCascade(table="scantask.property_scan_task", idColumn="id", childIdColumn="building_id")
    var building: Building? = null

    /** 级联-楼层 */
    @Schema(description = "级联-楼层")
    //@SCascade(table="scantask.property_scan_task", idColumn="id", childIdColumn="floor_id")
    var floor: Floor? = null

    /** 级联-方案*/
    @Schema(description = "级联-方案")
    @SCascade(table="scantask.property_scan_task", idColumn="id", childIdColumn="scheme_id")
    var scanScheme: ScanScheme? = null

    /** 级联-资产设备族 */
    @Schema(description = "级联-资产设备族")
//    @SCascade(table="scantask.property_scan_task", idColumn="id", childIdColumn="code")
    var equipFamily: EquipFamilyCategory? = null

} // Class PropertyScanTask