/*
 * *********************************************************************************************************************
 *
 *          !!
 *        .F88X
 *        X8888Y
 *      .}888888N;
 *        i888888N;        .:!              .I$WI:
 *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
 *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
 *            +888888N;  .8888888Y                                  "&&8Y.}8,
 *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
 *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
 *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
 *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
 *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
 *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
 *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
 *      .:R888888I
 *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
 *        ~8888'
 *        .!88~                                                                     All rights reserved.
 *
 * *********************************************************************************************************************
 */

package com.persagy.server.datacenter.models.entities.task

import com.persagy.server.datacenter.models.entities.base.RBaseInfo
import com.persagy.server.datacenter.models.entities.objects.Project
import com.persagy.service.models.annotations.SCascade
import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 现场任务方案具体信息点
 *
 * @author  邓婷婷
 */

@Schema(description = "现场任务方案具体信息点实体类")
@Table(name = "scantask.scan_scheme_info")
class ScanSchemeInfo : RBaseInfo()  {

    /** 信息点id */
    @Schema(description = "信息点id")
    @Id
    @Column(name = "id")
    var id: String? = null

    /** 方案id */
    @Schema(description = "方案id")
    @Column(name = "scheme_id")
    var schemeId: String? = null

    /** 方案id */
    @Schema(description = "方案id")
    @Column(name = "scheme_code")
    var schemeCode: String? = null

    /** 序号 */
    @Schema(description = "序号")
    @Column(name = "num")
    var num: Int? = null

    /** 执行对象 */
    @Schema(description = "执行对象")
    @Column(name = "exec_target")
    var execTarget: String? = null

    /** 是否找到 */
    @Schema(description = "是否找到")
    @Column(name = "is_find")
    var find: Boolean? = null

    /** 操作 */
    @Schema(description = "操作")
    @Column(name = "option")
    var option: String? = null

    /** 强制 */
    @Schema(description = "强制")
    @Column(name = "is_compulsory")
    var compulsory: Boolean? = null

    /** 可选 */
    @Schema(description = "可选")
    @Column(name = "is_optional")
    var optional: Boolean? = null

    /** 忽略 */
    @Schema(description = "忽略")
    @Column(name = "is_ignored")
    var ignored: Boolean? = null

    /** 项目id */
    @Schema(description = "项目id",required = true)
    @Column(name = "project_id")
    var projectId: String? = null

    /** 级联-项目   table  对应关系表   idColumn 对应 本类的id    childIdColumn 级联对象的关系id */
    @Schema(description = "级联-项目")
    @SCascade(table="scantask.scan_scheme_info", idColumn="id", childIdColumn="project_id")
    var project: Project? = null

    /** 级联-方案  */
    @Schema(description = "级联-方案")
    @SCascade(table="scantask.scan_scheme_info", idColumn="id", childIdColumn="scheme_id")
    var scanScheme: ScanScheme? = null
}