/*
 * *********************************************************************************************************************
 *
 *          !!
 *        .F88X
 *        X8888Y
 *      .}888888N;
 *        i888888N;        .:!              .I$WI:
 *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
 *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
 *            +888888N;  .8888888Y                                  "&&8Y.}8,
 *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
 *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
 *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
 *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
 *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
 *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
 *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
 *      .:R888888I
 *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
 *        ~8888'
 *        .!88~                                                                     All rights reserved.
 *
 * *********************************************************************************************************************
 */

package com.persagy.server.datacenter.models.requests

import io.swagger.v3.oas.annotations.media.Schema
import java.io.Serializable

/**
 * 查询手动计算数据
 *
 * @author 张维新
 */
class ManualRelationCalcRequest : Serializable {

    @Schema(description = "主从对象类型，主1、从2")
    var objectType: String? = null

    @Schema(description = "关系类型")
    var relType: String? = null

    @Schema(description = "分类类型")
    var category: String? = null

    @Schema(description = "楼层id，未明确楼层传（isNull）")
    var floorId: String? = null

    @Schema(description = "建筑id，未明确建筑传（isNull）")
    var buildingId: String? = null

    @Schema(description = "模糊查询 关键词")
    var vague: String? = null

    @Schema(description = "模糊查询 关键词")
    var vagueTo: String? = null

    /** 第几页 */
    @Schema(description = "第几页(从1开始)", example = "1")
    var pageNumber: Int = 0

    /** 每页记录数 */
    @Schema(description = "每页记录数(0 < 记录数 < 1000)", example = "50")
    var pageSize: Int = 0

}
