package com.persagy.labsl.models.entities.pbs

import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 *
 * @author wx  <zhangweixin@sagacloud.com>
 * @date  2020/12/2 19:08
 */
@Schema(description = "建筑信息实体类")
//@Table(name = "public.building")
class Building {

    /** 建筑体ID */
    @Schema(description = "建筑体ID")
    @Id
    @Column(name = "id")
    var id: String? = null

    /** 建筑体名称 */
    @Schema(description = "建筑体名称")
    @Column(name = "name")
    var name: String? = null

    /** 建筑本地编码 */
    @Schema(description = "建筑本地编码")
    @Column(name = "local_id")
    var localId: String? = null

    /** 建筑本地名称 */
    @Schema(description = "建筑本地名称")
    @Column(name = "local_name")
    var localName: String? = null

    /** 项目id */
    @Schema(description = "项目id")
    @Column(name = "project_id")
    var projectId: String? = null

    @Schema(description = "楼层列表")
    var floorList: ArrayList<Floor>? = null

}