package com.persagy.labsl.models.entities.pbs

import com.persagy.service.models.SBaseEntity
import io.swagger.v3.oas.annotations.media.Schema
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table
import javax.validation.constraints.NotNull

/**
 * 文件夹
 *
 * @author wx  <zhangweixin@sagacloud.com>
 * @date  2020/12/1 15:11
 */
@Schema(description = "平面图 - 文件夹")
@Table(name = "qibaishi_gallery.qbs_folder")
class QbsFolder: Serializable, SBaseEntity() {

    /** 文件夹 id */
    @Schema(description = "文件夹 id")
    @Id
    @Column(name = "id")
    var id: String? = null

    /** 文件夹名称 */
    @Schema(description = "文件夹名称")
    @Column(name = "name")
    @NotNull(message = "文件夹名称不可以为空")
    var name: String? = null

    /** 项目 id */
    @Schema(description = "项目 id")
    @Column(name = "project_id")
    var projectId: String? = null

}