package com.persagy.labsl.models.entities.tpt.pic

import com.alibaba.fastjson.annotation.JSONField
import com.persagy.service.models.SBaseEntity
import io.swagger.v3.oas.annotations.media.Schema
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 图片实体
 *
 * @author  wx
 */
@Schema(description = "图片实体")
@Table(name = "labsl_pic.picture")
open class Picture : SBaseEntity(), Serializable {

    private val serialVersionUID = 1L
    /** id */
    @Schema(description = "id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 图片 */
    @Schema(description = "图片")
    @JSONField(name = "Pic")
    @Column(name = "pic")
    var pic: ByteArray? = null
}