package com.persagy.labsl.models.response

import com.persagy.service.models.enums.SResponseType
import io.swagger.v3.oas.annotations.media.Schema

/**
 * 返回体
 *
 * @author wx  <zhangweixin@sagacloud.com>
 * @date  2020/6/9 14:56
 */
open class SCommonResponse<ENTITY: Any>(result: SResponseType? = SResponseType.success, message: String? = null) {

    /** 结果 */
    @Schema(description = "结果")
    var result: SResponseType? = SResponseType.failure
    /** 消息 */
    @Schema(description = "消息")
    var message: String? = ""

    /** 结果 */
    @Schema(description = "结果")
    var content: ENTITY? = null

    /** 初始化 */
    init {
        this.result = result
        this.message = message
    } // init()


}