package com.persagy.meiku.models.entities

import com.persagy.service.models.SBaseEntity
import io.swagger.v3.oas.annotations.media.Schema
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 管线类型
 *
 * @author wx  <zhangweixin@sagacloud.com>
 * @date  2020/11/5 10:12
 */
@Schema(description = "管线类型")
@Table(name = "labsl_meiku.pipeline_category")
class PipelineCategory: SBaseEntity(), Serializable {

    /** 类型 id */
    @Schema(description = "类型 id")
    @Id
    @Column(name = "id")
    var id: String? = null

    /** 名称 */
    @Schema(description = "名称")
    @Column(name = "name")
    var name: String? = null

    /** 名称 */
    @Schema(description = "名称")
    @Column(name = "parent_id")
    var parentId: String? = null

    /** 颜色 */
    @Schema(description = "颜色")
    @Column(name = "color")
    var color: String? = null

    @Schema(description = "子节点列表")
    var categoryList: ArrayList<PipelineCategory>? = null
}