package cn.sagacloud.server.datacenter.controllers.venders

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 品牌类
 *
 * @author 付国宝
 */
@ApiModel(description = "品牌类")
@Table(name = "vender.brand")
class Brand : SBaseEntity() {

    /** 品牌类ID */
    @ApiModelProperty(value = "品牌id (B + UUID)")
    @Id
    @Column(name = "brand_id")
    @JSONField(name = "BrandId")
    var id: String? = null

    /** 品牌类所属厂商ID */
    @ApiModelProperty(value = "品牌所属厂商id")
    @Column(name = "vender_id")
    @JSONField(name = "VenderId")
    var venderId: String? = null

    /** 品牌名称 */
    @ApiModelProperty(value = "品牌名称")
    @Column(name = "brand_name")
    @JSONField(name = "BrandName")
    var name: String? = null

    /** 品牌LOGO URL */
    @ApiModelProperty(value = "品牌logo url")
    @Column(name = "logo_key")
    @JSONField(name = "LogoKey")
    var logoKey: String? = null

} // Class Brand