package cn.sagacloud.server.datacenter.controllers.venders

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 产品类
 *
 * @author 付国宝
 */
@ApiModel(description = "产品实体类")
@Table(name = "vender.product")
class Product : SBaseEntity() {

    /** 产品类ID */
    @ApiModelProperty(value = "产品id (P + UUID)")
    @Id
    @Column(name = "product_id")
    @JSONField(name = "ProductId")
    var id: String? = null

    /** 产品所属品牌ID */
    @ApiModelProperty(value = "产品所属品牌id")
    @Column(name = "brand_id")
    @JSONField(name = "BrandId")
    var brandId: String? = null

    /** 产品名 */
    @ApiModelProperty(value = "产品名")
    @Column(name = "product_name")
    @JSONField(name = "ProductName")
    var name: String? = null

    /** 产品三位种族码 */
    @ApiModelProperty(value = "产品三位种族码")
    @Column(name = "family_code")
    @JSONField(name = "FamilyCode")
    var familyCode: String? = null

} // Class Product