package cn.sagacloud.server.datacenter.controllers.venders

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 项目信息类
 *
 * @author 付国宝
 */
@ApiModel(description = "项目信息类")
@Table(name = "vender.project_info")
class ProjectInfo : SBaseEntity() {

    /** 项目信息类ID */
    @ApiModelProperty(value = "项目id, eg. Pj1101080001")
    @Id
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var id: String? = null

    /** 项目名称 */
    @ApiModelProperty(value = "项目名称")
    @Column(name = "project_name")
    @JSONField(name = "ProjectName")
    var name: String? = null

} // Class ProjectInfo