package cn.sagacloud.server.datacenter.controllers.venders

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 厂商在各个项目中涉及的资产的统计类
 *
 * @author 付国宝
 */
@ApiModel(value = "厂商在各个项目中涉及的资产的统计类")
@Table(name = "vender.property_statistics")
class PropertyStatistics : SBaseEntity() {

    /** 自增ID */
    @ApiModelProperty(value = "自增id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: Int? = null

    /** 厂商ID */
    @ApiModelProperty(value = "厂商id")
    @Column(name = "vender_id")
    @JSONField(name = "VenderId")
    var venderId: String? = null

    /** 项目ID */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 供应商是涉及供应合同个数|保险商是涉及的保单个数 */
    @ApiModelProperty(value = "供应商是涉及供应合同个数|保险商是涉及的保单个数")
    @Column(name = "contract_count")
    @JSONField(name = "ContractCount")
    var contractCount: Int? = null

    /** 生产厂家是涉及资产个数|供应商是涉及供应资产个数|维修商是维护合同有效期内的资产个数|保险商是在保资产个数 */
    @ApiModelProperty(value = "生产厂家是涉及资产个数|供应商是涉及供应资产个数|维修商是维护合同有效期内的资产个数|保险商是在保资产个数")
    @Column(name = "total_count")
    @JSONField(name = "TotalCount")
    var totalCount: Int? = null

    /** 维修商是即将超出维保时间的资产个数 */
    @ApiModelProperty(value = "维修商是即将超出维保时间的资产个数")
    @Column(name = "nearly_expire_count")
    @JSONField(name = "NearlyExpireCount")
    var nearlyExpireCount: Int? = null

} // Class PropertyStatistics