package cn.sagacloud.server.datacenter.controllers.venders

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 型号的信息点类
 *
 * @author 付国宝
 */
@ApiModel(description = "型号的信息点类")
@Table(name = "vender.spec_infos")
class SpecInfos : SBaseEntity() {

    /** 型号信息点类自增ID */
    @ApiModelProperty(value = "自增id")
    @Id
    @Column(name = "id")
    @JSONField(name ="Id")
    var id: Int? = null

    /** 型号ID */
    @ApiModelProperty(value = "型号id")
    @Column(name = "spec_id")
    @JSONField(name ="SpecId")
    var specId: String? = null

    /** 信息点编码 */
    @ApiModelProperty(value = "信息点编码")
    @Column(name = "info_code")
    @JSONField(name ="InfoCode")
    var infoCode: String? = null

    /** 数据类型 */
    @ApiModelProperty(value = "数据类型:  0.未定义类型 1. String 2. Integer 3. Long 4. Boolean  5. Double  6. JSONObject  7.JSONArray")
    @Column(name = "value_type")
    @JSONField(name ="ValueType")
    var valueType: String? = null

    /** 信息点值的序列化二进制数据 */
    @ApiModelProperty(value = "信息点值的序列化二进制数据")
    @Column(name = "value")
    @JSONField(name ="Value")
    var value: Int? = null

} // Class SpecInfos