package cn.sagacloud.server.datacenter.controllers.venders

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 型号类
 *
 * @author 付国宝
 */
@ApiModel(description = "型号类")
@Table(name = "vender.specification")
class Specification :SBaseEntity() {

    /** 型号ID */
    @ApiModelProperty(value = "型号id (S + UUID)")
    @Id
    @Column(name = "spec_id")
    @JSONField(name = "SpecId")
    var id: String? = null

    /** 所属产品的ID */
    @ApiModelProperty(value = "所属产品的id")
    @Column(name = "product_id")
    @JSONField(name = "ProductId")
    var productId: String? = null

    /** 型号名称 */
    @ApiModelProperty(value = "型号名称")
    @Column(name = "spec_name")
    @JSONField(name = "SpecName")
    var name: String? = null

} // Class Specification