package cn.sagacloud.server.datacenter.controllers.venders

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 厂商联系人信息类
 *
 * @author 付国宝
 */
@ApiModel(description = "厂商联系人信息类")
@Table(name = "vender.vender_contact_info")
class VenderContactInfo : SBaseEntity() {

    /** 自增ID */
    @ApiModelProperty(value = "自增id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: Int? = null

    /** 联系人所属厂商ID */
    @ApiModelProperty(value = "联系人所属厂商id")
    @Column(name = "vender_id")
    @JSONField(name = "VenderId")
    var venderId: String? = null

    /** 所在项目ID */
    @ApiModelProperty(value = "所在项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 联系人姓名 */
    @ApiModelProperty(value = "联系人姓名")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 联系人手机号 */
    @ApiModelProperty(value = "联系人手机号")
    @Column(name = "phone")
    @JSONField(name = "Phone")
    var phone:String? = null

    /** 联系人FAX */
    @ApiModelProperty(value = "联系人fax")
    @Column(name = "fax")
    @JSONField(name = "Fax")
    var fax: String? = null

    /** 联系人EMAIL */
    @ApiModelProperty(value = "联系人email")
    @Column(name = "email")
    @JSONField(name = "Email")
    var email:String? = null

} // Class VenderContactInfo