package cn.sagacloud.server.datacenter.controllers.venders

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 厂商信息类
 *
 * @author 付国宝
 */
@ApiModel(description = "厂商信息类")
@Table(name = "vender.venders")
class Venders : SBaseEntity() {

    /** 厂商ID */
    @ApiModelProperty(value = "厂商id")
    @Id
    @Column(name = "vender_id")
    @JSONField(name = "VenderId")
    var id: String? = null

    /** 类型：1 生产商, 2 供应商, 3 维修商, 4 保险商 */
    @ApiModelProperty(name = "1 生产商, 2 供应商, 3 维修商, 4 保险商")
    @Column(name = "vender_type")
    @JSONField(name = "VenderType")
    var type: Int? = null

    /** 厂商名 */
    @ApiModelProperty(value = "厂商名")
    @Column(name = "vender_name")
    @JSONField(name = "VenderName")
    var name: String? = null

    /** 厂商官网 */
    @ApiModelProperty(value = "厂商官网")
    @Column(name = "website")
    @JSONField(name = "Website")
    var website: String? = null

    /** 状态值：0.已删除 1. 操作员创建 2. 自动发现 3. 已关联 4. 值差异 */
    @ApiModelProperty(value = "0.已删除 1. 操作员创建 2. 自动发现 3. 已关联 4. 值差异")
    @Column(name = "status")
    @JSONField(name = "Status")
    var status: Int? = null

} // Class Venders