package cn.sagacloud.server.datacenter.controllers.venders

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.util.*
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 保单类
 *
 * @author 付国宝
 */
@ApiModel(description = "保单类")
@Table(name = "vender.warranty")
class Warranty : SBaseEntity() {

    /** 自增ID */
    @ApiModelProperty(value = "自增id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: Int? = null

    /** 保险商ID */
    @ApiModelProperty(value = "保险商id")
    @Column(name = "vender_id")
    @JSONField(name = "VenderId")
    var venderId: String? = null

    /** 所在项目ID */
    @ApiModelProperty(value = "所在项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 保单号 */
    @ApiModelProperty(value = "保单号")
    @Column(name = "insurance_no")
    @JSONField(name = "InsuranceNo")
    var insuranceNo: String? = null

    /** 保单过期日期 */
    @ApiModelProperty(value = "保单过期日期",example = "2019-07-12 14:26:00")
    @Column(name = "expire_date")
    @JSONField(name = "ExpireDate")
    var expireDate: Date? = null

    /** 保单文件下载地址 */
    @ApiModelProperty(value = "保单文件下载地址")
    @Column(name = "contract_file")
    @JSONField(name = "ContractFile")
    var contractFile: String? = null

} // Class Warranty