/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package cn.sagacloud.server.datacenter.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.google.gson.annotations.SerializedName
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Table

/**
 * 图片实体类
 *
 * @author 张维新
 */
@ApiModel(description = "图片实体类")
@Table(name = "att_pic")
class AttPic: Serializable {
    /** id */
    @ApiModelProperty(value = "id")
    @Column(name = "id")
    @JSONField(name =  "id")
    @SerializedName("id")
    var id: String? = null

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Column(name = "name")
    @JSONField(name =  "name")
    @SerializedName("name")
    var name: String? = null

    /** key */
    @ApiModelProperty(value = "key")
    @Column(name = "key")
    @JSONField(name =  "key")
    @SerializedName("key")
    var key: String? = null

    /** 类型 */
    @ApiModelProperty(value = "类型")
    @Column(name = "type")
    @JSONField(name =  "type")
    @SerializedName("type")
    var type: String? = null

    /** 系统id */
    @ApiModelProperty(value = "系统id")
    @Column(name = "system_id")
    @JSONField(name =  "systemId")
    @SerializedName("systemId")
    var systemId: String? = null

    @ApiModelProperty(value = "创建时间")
    @JSONField(name =  "createTime")
    @SerializedName("createTime")
    var createTime: String? = null

} // Class AttPic