package cn.sagacloud.server.datacenter.models.entities

import cn.sagacloud.server.datacenter.models.entities.base.BaseInfoSuper
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 物理世界自定义信息点方案
 *
 * @author 张维新
 */
@ApiModel(description = "物理世界自定义信息点方案实体类")
@Table(name = "dict.data_platform_scheme")
class DataPlatformScheme : BaseInfoSuper() {

    /** 方案ID */
    @ApiModelProperty(value = "方案ID")
    @Id
    @Column(name = "scheme_id")
    @JSONField(name = "SchemeId")
    var schemeId: String? = null

    /** 方案名称 */
    @ApiModelProperty(value = "方案名称")
    @Column(name = "scheme_name")
    @JSONField(name = "SchemeName")
    var schemeName: String? = null

    /** 备注 */
    @ApiModelProperty(value = "备注")
    @Column(name = "note")
    @JSONField(name = "Note")
    var note: String? = null

} // Class DataPlatformScheme