/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package cn.sagacloud.server.datacenter.models.entities

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 空调类型信息实体类
 *
 * @author  张维新
 */
@ApiModel(description = "空调类型信息实体类")
@Table(name = "dict.dict_air_conditioner")
open class DictAirConditioner: Serializable {

    /** ID */
    @ApiModelProperty(value = "ID")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 类型名称 */
    @ApiModelProperty(value = "类型名称")
    @Column(name = "name_type")
    @JSONField(name = "NameType")
    var nameType: String? = null

    /** 更新时间 */
    @ApiModelProperty(value = "更新时间")
    @Column(name = "last_update")
    @JSONField(name = "LastUpdate")
    var lastUpdate: String? = null

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    @Column(name = "create_time")
    @JSONField(name = "CreateTime")
    var createTime: String? = null

} // Class DictAirConditioner