/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package cn.sagacloud.server.datacenter.models.entities

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 建筑功能类型信息实体类
 *
 * @author  张维新
 */
@ApiModel(description = "建筑功能类型信息实体类")
@Table(name = "dict.dict_building_functional")
open class DictBuildingFunctional: Serializable {
    /** 编码 */
    @ApiModelProperty(value = "编码")
    @Id
    @Column(name = "id")
    @JSONField(name = "Code")
    var id: String? = null

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 父节点 */
    @ApiModelProperty(value = "父节点")
    @Column(name = "parent")
    @JSONField(name = "Parent")
    var parent: String? = null

    /** 昼夜时间 */
    @ApiModelProperty(value = "昼夜时间")
    @Column(name = "day_night_time")
    @JSONField(name = "DayNightTime")
    var dayNightTime: String? = null

    /** 同类型建筑标签 */
    @ApiModelProperty(value = "同类型建筑标签")
    @Column(name = "building_label")
    @JSONField(name = "BuildingLabel")
    var buildingLabel: String? = null

    /** 备注 */
    @ApiModelProperty(value = "备注")
    @Column(name = "remarks")
    @JSONField(name = "Remarks")
    var remarks: String? = null

    /** 更新时间 */
    @ApiModelProperty(value = "更新时间")
    @Column(name = "last_update")
    @JSONField(name = "LastUpdate")
    var lastUpdate: String? = null

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    @Column(name = "create_time")
    @JSONField(name = "CreateTime")
    var createTime: String? = null

    /** 下一级节点 */
    var dictBuildingFunctional : DictBuildingFunctional? = null
    @JSONField(name = "Content")
    var content: ArrayList<DictBuildingFunctional>? = null

} // Class DictBuildingFunctionalMapper