/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package cn.sagacloud.server.datacenter.models.entities

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import java.util.*
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 气候区信息实体类
 *
 * @author 张维新
 */
@ApiModel(description = "气候区信息实体类")
@Table(name = "dict.dict_climate")
open class DictClimate: Serializable {

    /** 编码 */
    @ApiModelProperty(value = "编码")
    @Id
    @Column(name = "id")
    @JSONField(name = "Code")
    var id: String? = null

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 父节点 */
    @ApiModelProperty(value = "父节点")
    @Column(name = "parent")
    @JSONField(name = "Parent")
    var parent: String? = null

    /** 说明 */
    @ApiModelProperty(value = "说明")
    @Column(name = "explain")
    @JSONField(name = "Info")
    var explain: String? = null

    /** 更新时间 */
    @ApiModelProperty(value = "更新时间")
    @Column(name = "last_update")
    @JSONField(name = "LastUpdate")
    var lastUpdate: Date? = null

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    @Column(name = "create_time")
    @JSONField(name = "CreateTime")
    var createTime: Date? = null

    /** 下一级节点 */
    var content: ArrayList<DictClimate>? =null

} // Class DictClimate