/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package cn.sagacloud.server.datacenter.models.entities

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import java.util.*
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 建筑朝向信息实体类
 *
 * @author  张维新
 */
@ApiModel(description = "建筑朝向信息实体类")
@Table(name = "dict.dict_direction")
open class DictDirection: Serializable {
    /** ID */
    @ApiModelProperty(value = "ID")
    @Id
    @Column(name = "id")
    @JSONField(name = "Code")
    var id: String? = null

    /** 方向中文描述 */
    @ApiModelProperty(value = "方向中文描述")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 方向英文描述 */
    @ApiModelProperty(value = "方向英文描述")
    @Column(name = "direction_code")
    @JSONField(name = "DirectionCode")
    var directionCode: String? = null

    /** 与正北方向顺时针夹角 */
    @ApiModelProperty(value = "与正北方向顺时针夹角")
    @Column(name = "angle")
    @JSONField(name = "Angle")
    var angle: String? = null

    /** 更新时间 */
    @ApiModelProperty(value = "更新时间")
    @Column(name = "last_update")
    @JSONField(name = "LastUpdate")
    var lastUpdate: Date? = null

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    @Column(name = "create_time")
    @JSONField(name = "CreateTime")
    var createTime: Date? = null

} // Class DictDirection