/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package cn.sagacloud.server.datacenter.models.entities

import cn.sagacloud.server.datacenter.models.entities.base.BaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 省市区代码实体类
 *
 * @author 张维新
 */
@ApiModel(description = "省市区代码实体类")
@Table(name = "dict.dict_provincial_city_code")
open class DictProvincialCityCode : BaseInfo() {

    /** 省或市或区代码 */
    @ApiModelProperty(value = "省或市或区代码")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 省或市或区名称 */
    @ApiModelProperty(value = "省或市或区名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 父类标识 */
    @ApiModelProperty(value = "父类标识")
    @Column(name = "parent")
    @JSONField(name = "Parent")
    var parent: String? = null

    /** 邮编代码 */
    @ApiModelProperty(value = "邮编代码")
    @Column(name = "code")
    @JSONField(name = "Code")
    var code: String? = null

    /** 经度 */
    @ApiModelProperty(value = "经度")
    @Column(name = "longitude")
    @JSONField(name = "Longitude")
    var longitude: String? = null

    /** 纬度 */
    @ApiModelProperty(value = "纬度")
    @Column(name = "latitude")
    @JSONField(name = "Latitude")
    var latitude: String? = null

    /** 海拔 */
    @ApiModelProperty(value = "海拔")
    @Column(name = "altitude")
    @JSONField(name = "Altitude")
    var altitude: String? = null

    /** 气候区 */
    @ApiModelProperty(value = "气候区")
    @Column(name = "climate_zone")
    @JSONField(name = "ClimateZone")
    var climateZone: String? = null

    /** 发展水平 */
    @ApiModelProperty(value = "发展水平")
    @Column(name = "development_level")
    @JSONField(name = "DevelopmentLevel")
    var developmentLevel: String? = null

    /** 地理分区 */
    @ApiModelProperty(value = "地理分区")
    @Column(name = "geographical_zoning")
    @JSONField(name = "GeographicalZoning")
    var geographicalZoning: String? = null

    /** 0代表普通 1代表直辖市 */
    @ApiModelProperty(value = "0代表普通 1代表直辖市")
    @Column(name = "special_cities")
    @JSONField(name = "SpecialCities")
    var specialCities: Int = 0

    /** 城市类型 */
    @ApiModelProperty(value = "城市类型")
    @Column(name = "type")
    @JSONField(name = "Type")
    var type: String? = null

    /** 城市类型编码 */
    @ApiModelProperty(value = "城市类型编码")
    @Column(name = "typecode")
    @JSONField(name = "TypeCode")
    var typeCode: String? = null

} // Class DictProvincialCityCode