/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package cn.sagacloud.server.datacenter.models.entities

import cn.sagacloud.server.datacenter.models.entities.base.BaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.util.*
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 租赁业态类型
 *
 * @author 张维新
 */
@ApiModel(description = "租赁业态类型实体类")
@Table(name = "dict.dict_rental")
open class DictRentalSyn : BaseInfo() {
    /** ID */
    @ApiModelProperty(value = "ID")
    @Id
    @Column(name = "id")
    @JSONField(name = "Code")
    var id: String? = null

    /** 类型名称 */
    @ApiModelProperty(value = "类型名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 典型商铺 */
    @ApiModelProperty(value = "典型商铺")
    @Column(name = "typical_shops")
    @JSONField(name = "TypicalShops")
    var typicalShops: String? = null

    /** 分类原因 */
    @ApiModelProperty(value = "分类原因")
    @Column(name = "classification_cause")
    @JSONField(name = "ClassificationCause")
    var classificationCause: String? = null

    /** 关系值 */
    @ApiModelProperty(value = "关系值")
    @Column(name = "parent")
    @JSONField(name = "Parent")
    var parent: String? = ""

    /** 下一级内容 */
    @JSONField(name = "Content")
    var content: ArrayList<DictRentalSyn>? = null

} // Class DictRental