/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package cn.sagacloud.server.datacenter.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import java.util.*
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 空气风力等级
 *
 * @author 张维新
 */
@ApiModel(description = "空气风力等级信息实体类")
@Table(name = "dict.dict_wind")
class DictWind: Serializable {
    /** 编码 */
    @ApiModelProperty(value = "编码")
    @Id
    @Column(name = "id")
    @JSONField(name = "Code")
    var id: String? = null

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 风级 */
    @ApiModelProperty(value = "风级")
    @Column(name = "wind_degree")
    @JSONField(name = "WindDegree")
    var windDegree: String? = null

    /** 陆地地面物象 */
    @ApiModelProperty(value = "陆地地面物象")
    @Column(name = "phenomenon")
    @JSONField(name = "Phenomenon")
    var phenomenon: String? = null

    /** 风速 */
    @ApiModelProperty(value = "风速")
    @Column(name = "wind_speed")
    @JSONField(name = "WindSpeed")
    var windSpeed: String? = null

    /** 海面波浪 */
    @ApiModelProperty(value = "海面波浪")
    @Column(name = "wave")
    @JSONField(name = "wave")
    var wave: String? = null

    /** 风等级状况 */
    @ApiModelProperty(value = "风等级状况")
    @Column(name = "wind")
    @JSONField(name = "wind")
    var wind: String? = null

    /** 更新时间 */
    @ApiModelProperty(value = "更新时间")
    @Column(name = "last_update")
    @JSONField(name = "LastUpdate")
    var lastUpdate: Date? = null

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    @Column(name = "create_time")
    @JSONField(name = "CreateTime")
    var createTime: Date? = null

} // Class DictWind