package cn.sagacloud.server.datacenter.models.entities

import cn.sagacloud.server.datacenter.models.entities.base.BaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 设备族
 *
 * @author 张维新
 */
@ApiModel(description = "设备族实体类")
@Table(name = "equip_family")
class EquipFamilyCategory : BaseInfo() {

    /** 族编码 */
    @ApiModelProperty(value = "族编码")
    @Id
    @Column(name = "family")
    @JSONField(name = "Family")
    var family: String? = null

    /** 族名称 */
    @ApiModelProperty(value = "族名称")
    @Column(name = "family_name")
    @JSONField(name = "FamilyName")
    var familyName: String? = null

} // Class EquipFamilyCategory