package cn.sagacloud.server.datacenter.models.entities

import cn.sagacloud.server.datacenter.models.entities.base.BaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 所有专业 设备 系统分类
 *
 * @author 张维新
 */
@ApiModel(description = "所有专业 设备 系统分类")
@Table(name = "dict.class_def")
class ExplainAllCategories : BaseInfo() {

    /** 编码code */
    @ApiModelProperty(value = "编码code")
    @Id
    @Column(name = "id")
    @JSONField(name = "Code")
    var id: String? = null

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 父类指针 */
    @ApiModelProperty(value = "父类指针")
    @Id
    @Column(name = "parent_id")
    @JSONField(name = "ParentId")
    var parentId: String? = null

} // Class ExplainAllCategories