/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package cn.sagacloud.server.datacenter.models.entities
import cn.sagacloud.server.datacenter.models.entities.base.BaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 项目信息实体类
 *
 * @author  张维新
 */
@ApiModel(description = "项目信息实体类")
@Table(name = "project")
open class Project : BaseInfo() {

    /** 项目ID */
    @ApiModelProperty(value = "项目ID")
    @Id
    @Column(name = "id")
    @JSONField(name = "ProjID")
    var id: String? = null

    /** 项目名称 */
    @ApiModelProperty(value = "项目名称")
    @Column(name = "name")
    @JSONField(name = "ProjName")
    var name: String? = null

    @ApiModelProperty(value = "项目名称")
    @Column(name = "password")
    @JSONField(name = "PassWord")
    var password: String? = null

    /** 项目本地编码 */
    @ApiModelProperty(value = "项目本地编码")
    @Column(name = "local_id")
    @JSONField(name = "ProjLocalID")
    var localId: String? = null

    /** 项目本地名称 */
    @ApiModelProperty(value = "项目本地名称")
    @Column(name = "local_name")
    @JSONField(name = "ProjLocalName")
    var localName: String? = null

    /** BIM模型中编码 */
    @ApiModelProperty(value = "BIM模型中编码")
    @Column(name = "bim_id")
    @JSONField(name = "BIMID")
    var bimId: String? = null

    /** 地理位置 */
    @ApiModelProperty(value = "地理位置")
    @Column(name = "geo_info")
    @JSONField(name = "GeoInfo")
    var geoInfo: HashMap<String,Any?>? = null

    /** 项目信息 */
    @ApiModelProperty(value = "项目信息")
    @Column(name = "project_info")
    @JSONField(name = "ProjectInfo")
    var projectInfo: HashMap<String,Any?>? = null

    /** 商业信息 */
    @ApiModelProperty(value = "商业信息")
    @Column(name = "commercial_info")
    @JSONField(name = "CommercialInfo")
    var commercialInfo: HashMap<String,Any?>? = null

    /** 能源价格 */
    @ApiModelProperty(value = "能源价格")
    @Column(name = "energy_cost")
    @JSONField(name = "EnergyCost")
    var energyCost: HashMap<String,Any?>? = null

    /** 室外环境 */
    @ApiModelProperty(value = "室外环境")
    @Column(name = "outdoor_env")
    @JSONField(name = "OutdoorEnv")
    var outdoorEnv: HashMap<String,Any?>? = null

    /** 天气预报 */
    @ApiModelProperty(value = "天气预报")
    @Column(name = "weather")
    @JSONField(name = "Weather")
    var weather: HashMap<String,Any?>? = null

    /** 能耗信息 */
    @ApiModelProperty(value = "能耗信息")
    @Column(name = "consumption_info")
    @JSONField(name = "ConsumptionInfo")
    var consumptionInfo: HashMap<String,Any?>? = null

    /** 自定义 */
    @ApiModelProperty(value = "自定义")
    @Column(name = "custom_param")
    @JSONField(name = "CustomParam")
    var customParam: HashMap<String,Any?>? = null

    /** 对象类型 */
    @ApiModelProperty(value = "对象类型")
    @Column(name = "object_type")
    @JSONField(name = "ObjectType")
    override var objectType: String? = "Project"
} // Class Project