package cn.sagacloud.server.datacenter.models.entities

import cn.sagacloud.server.datacenter.models.entities.base.BaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 竖井信息（带统计）实体类
 *
 * @author  李井强
 */
@ApiModel(description = "竖井信息（带统计）实体类")
@Table(name = "shaft_statis")
class ShaftWithCount : BaseInfo() {

    /** 竖井id */
    @ApiModelProperty(value = "竖井id")
    @Id
    @Column(name = "id")
    @JSONField(name = "ShaftID")
    var id: String? = null

    /** 竖井名称 */
    @ApiModelProperty(value = "竖井名称")
    @Column(name = "name")
    @JSONField(name = "ShaftName")
    var name: String? = null

    /** 竖井本地编码 */
    @ApiModelProperty(value = "竖井本地编码")
    @Column(name = "local_id")
    @JSONField(name = "ShaftLocalID")
    var localId: String? = null

    /** 竖井本地名称 */
    @ApiModelProperty(value = "竖井本地名称")
    @Column(name = "local_name")
    @JSONField(name = "ShaftLocalName")
    var localName: String? = null

    /** BIM模型中编码 */
    @ApiModelProperty(value = "BIM模型中编码")
    @Column(name = "bim_id")
    @JSONField(name = "BIMID")
    var bimId: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

//    /** 竖井功能 */
//    @ApiModelProperty(value = "竖井功能")
//    @Column(name = "func_type")
//    @JSONField(name = "ShaftFuncType")
//    var funcType: String? = null
//
//    /** 竖井面积 */
//    @ApiModelProperty(value = "竖井面积")
//    @Column(name = "area")
//    @JSONField(name = "Area")
//    var area: Double? = null
//
//    /** 竖井高 */
//    @ApiModelProperty(value = "竖井高")
//    @Column(name = "height")
//    @JSONField(name = "Height")
//    var height: Double? = null

    /** 建筑id集合 */
    @ApiModelProperty(value = "建筑id集合")
    @JSONField(name = "BuildingList")
    var buildingList: List<String>? = null

    /** 楼层id集合 */
    @ApiModelProperty(value = "楼层id集合")
    @JSONField(name = "FloorList")
    var floorList: List<String>? = null

    /** 空间数 */
    @ApiModelProperty(value = "空间数")
    @Column(name = "spacecount")
    @JSONField(name = "SpaceCount")
    var spacecount: Long = 0

    /** 空间列表 */
    @ApiModelProperty(value = "空间列表")
    @Column(name = "spacelist")
    @JSONField(name = "SpaceList")
    var spacelist: String? = null

    /** 结构信息 */
    @ApiModelProperty(value = "结构信息")
    @Column(name = "structure_info")
    @JSONField(name = "StructureInfo")
    var structureInfo: HashMap<String, Any?>? = null
} // Class ShaftWithCount