/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package cn.sagacloud.server.datacenter.models.entities

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Table

/**
 * 设备关联的资产以及部件的个数
 *
 * @author  张维新
 */
@ApiModel(description = "设备关联的资产以及部件的个数")
@Table(name = "v_equip_property_count")
class ViewEquipPropertyCount : Equipment() {

    /** 设备关联的资产id */
    @ApiModelProperty(value = "设备关联的资产id")
    @Column(name = "link_id")
    @JSONField(name = "LinkId")
    var linkId: String? = null

    /** 资产名称 */
    @ApiModelProperty(value = "资产名称")
    @Column(name = "link_name")
    @JSONField(name = "LinkName")
    var linkName: String? = null

    /** 资产本地名称 */
    @ApiModelProperty(value = "资产本地名称")
    @Column(name = "link_local_name")
    @JSONField(name = "LinkLocalName")
    var linkLocalName: String? = null

    /** 资产分类 */
    @ApiModelProperty(value = "资产分类")
    @Column(name = "link_family")
    @JSONField(name = "LinkFamily")
    var linkFamily: String? = null

    /** 部件数量 */
//    @ApiModelProperty(value = "部件数量")
//    @Column(name = "count")
//    @JSONField(name = "Count")
//    var count: Long = 0




} // Class ViewEquipPropertyCount