package cn.sagacloud.server.datacenter.models.entities

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Table

/**
 * 设备关联的系统
 *
 * @author 张维新
 */
@ApiModel(description = "设备关联的系统")
@Table(name = "v_equip_system")
class ViewEquipSystem : Serializable {

    /** 系统id */
    @ApiModelProperty(value = "系统id")
    @Column(name = "id")
    @JSONField(name = "SysID")
    var id: String? = null

    /** 系统分类 */
    @ApiModelProperty(value = "系统分类")
    @Column(name = "category")
    @JSONField(name = "Category")
    var category: String? = null

    /** 系统名称 */
    @ApiModelProperty(value = "系统名称")
    @Column(name = "SysName")
    @JSONField(name = "SysName")
    var name: String? = null

    /** 系统本地名称 */
    @ApiModelProperty(value = "系统本地名称")
    @Column(name = "sys_local_name")
    @JSONField(name = "SysLocalName")
    var localName: String? = null

    /** 设备id */
    @ApiModelProperty(value = "设备id")
    @Column(name = "equip_id")
    @JSONField(name = "EquipId")
    var equipId: String? = null

} // class ViewEquipSystem