package cn.sagacloud.server.datacenter.models.entities.graphtype

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Table

/**
 * 源末端
 *
 * @author  邓婷婷
 */
@ApiModel(description = "源末端")
@Table(name = "revit_calc.v_connected_block")
open class ConnectedBlockFamilyItem : RBaseInfo() {

    /** id */
    @ApiModelProperty(value = "id")
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** type */
    @ApiModelProperty(value = "type")
    @Column(name = "type")
    @JSONField(name = "Type")
    var type: String? = null

    /** model_id */
    @ApiModelProperty(value = "model_id")
    @Column(name = "model_id")
    @JSONField(name = "ModelId")
    var modelId: String? = null

    /** block_id */
    @ApiModelProperty(value = "block_id")
    @Column(name = "block_id")
    @JSONField(name = "BlockId")
    var blockId: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 建筑id */
    @ApiModelProperty(value = "建筑id")
    @Column(name = "building_id")
    @JSONField(name = "BuildingId")
    var buildingId: String? = null

    /** 系统类型所属域 */
    @ApiModelProperty(value = "系统类型所属域")
    @Column(name = "domain")
    @JSONField(name = "Domain")
    var domain: String? = null

    /** 系统类型名称 */
    @ApiModelProperty(value = "系统类型名称")
    @Column(name = "mep_system_type")
    @JSONField(name = "MepSystemType")
    var mepSystemType: String? = null

    /** local_id */
    @ApiModelProperty(value = "local_id")
    @Column(name = "local_id")
    @JSONField(name = "LocalId")
    var localId: String? = null

    /** local_name */
    @ApiModelProperty(value = "local_name")
    @Column(name = "local_name")
    @JSONField(name = "LocalName")
    var localName: String? = null

    /** 设备类型名 : 4位编码 */
    @ApiModelProperty(value = "设备类型名")
    @Column(name = "family")
    @JSONField(name = "Family")
    var family: String? = null

    /** 模型中的id */
    @ApiModelProperty(value = "模型中的id")
    @Column(name = "source_id")
    @JSONField(name = "SourceId")
    var sourceId: String? = null

    /** 名字 */
    @ApiModelProperty(value = "名字")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** family_name */
    @ApiModelProperty(value = "family_name")
    @Column(name = "family_name")
    @JSONField(name = "FamilyName")
    var familyName: String? = null

    /** family_symbol */
    @ApiModelProperty(value = "family_symbol")
    @Column(name = "family_symbol")
    @JSONField(name = "FamilySymbol")
    var familySymbol: String? = null

    /** true是源, false是末端 */
    @ApiModelProperty(value = "true是源, false是末端")
    @Column(name = "is_source")
    @JSONField(name = "IsSource")
    var isSource: Boolean? = null
} // Class ScanTask