package cn.sagacloud.server.datacenter.models.entities.graphtype

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 连接块的源
 *
 * @author  邓婷婷
 */
@ApiModel(description = "连接块的源实体类")
@Table(name = "revit_calc.connected_block_source")
open class ConnectedBlockSource : RBaseInfo() {

    /** id */
    @ApiModelProperty(value = "id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: Long? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 分块id */
    @ApiModelProperty(value = "分块id")
    @Column(name = "block_id")
    @JSONField(name = "BlockId")
    var blockId: String? = null

    /** 被指定的源的id */
    @ApiModelProperty(value = "被指定的源的id")
    @Column(name = "source_id")
    @JSONField(name = "SourceId")
    var sourceId: String? = null

    /** 被指定的源的类型 */
    @ApiModelProperty(value = "被指定的源的类型")
    @Column(name = "source_type")
    @JSONField(name = "SourceType")
    var sourceType: String? = null

    /** 系统类型所属域 */
    @ApiModelProperty(value = "系统类型所属域")
    @Column(name = "domain")
    @JSONField(name = "Domain")
    var domain: String? = null

    /** 系统类型名称 */
    @ApiModelProperty(value = "系统类型名称")
    @Column(name = "mep_system_type")
    @JSONField(name = "MepSystemType")
    var mepSystemType: String? = null

    /** 建筑id */
    @ApiModelProperty(value = "建筑id")
    @Column(name = "building_id")
    @JSONField(name = "BuildingId")
    var buildingId: String? = null

    /** true是源, false是末端 */
    @ApiModelProperty(value = "true是源, false是末端")
    @Column(name = "is_source")
    @JSONField(name = "IsSource")
    var isSource: Boolean? = null

} // Class ScanTask