package cn.sagacloud.server.datacenter.models.entities.graphtype

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import kotlin.collections.ArrayList

/**
 * 连接块的源
 *
 * @author  邓婷婷
 */
@ApiModel(description = "连接块的源请求类")
open class ConnectedBlockSourceRequest : RBaseInfo() {


    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 建筑id */
    @ApiModelProperty(value = "建筑id")
    @Column(name = "building_id")
    @JSONField(name = "BuildingId")
    var buildingId: String? = null

    /** 系统类型所属域 */
    @ApiModelProperty(value = "系统类型所属域")
    @Column(name = "domain")
    @JSONField(name = "Domain")
    var domain: String? = null

    /** 系统类型名称 */
    @ApiModelProperty(value = "系统类型名称")
    @Column(name = "mep_system_type")
    @JSONField(name = "MepSystemType")
    var mepSystemType: String? = null

    /** 源末端列表 */
    @ApiModelProperty(value = "源末端列表")
    @JSONField(name = "SourceList")
    var sourceList: ArrayList<ConnectedBlockSource>? = null


} // Class ScanTask