package cn.sagacloud.server.datacenter.models.entities.graphtype

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable

/**
 * 查询手动计算数据
 *
 * @author 张维新
 */
class ManualRelationCalcRequest : Serializable {

    @ApiModelProperty(value = "主从对象类型，主1、从2")
    @JSONField(name = "ObjectType")
    var objectType: String? = null

    @ApiModelProperty(value = "关系类型")
    @JSONField(name = "RelType")
    var relType: String? = null

    @ApiModelProperty(value = "分类类型")
    @JSONField(name = "Category")
    var category: String? = null

    @ApiModelProperty(value = "楼层id，未明确楼层传（isNull）")
    @JSONField(name = "FloorId")
    var floorId: String? = null

    @ApiModelProperty(value = "建筑id，未明确建筑传（isNull）")
    @JSONField(name = "BuildingId")
    var buildingId: String? = null

    @ApiModelProperty(value = "模糊查询 关键词")
    @JSONField(name = "Vague")
    var vague: String? = null

    /** 第几页 */
    @ApiModelProperty(value = "第几页(从1开始)", example = "1")
    @JSONField(name = "PageNumber")
    var pageNumber: Int = 0

    /** 每页记录数 */
    @ApiModelProperty(value = "每页记录数(0 < 记录数 < 1000)", example = "50")
    @JSONField(name = "PageSize")
    var pageSize: Int = 0

} //
