package cn.sagacloud.server.datacenter.models.entities.graphtype

import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.util.*
import javax.persistence.Column
import javax.persistence.Table


/**
 * 轴网
 *
 * @author jxing
 */
@ApiModel(description = "机电管网源设备类型")
@Table(name = "revit_calc.mep_source_type")
@JsonIgnoreProperties(ignoreUnknown = true)
class MepSourceTypeEntity {

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JsonProperty("ProjectId")
    var projectId: String? = null

    /** 计算卡片名称 */
    @ApiModelProperty(value = "计算卡片名称")
    @Column(name = "calc_name")
    @JsonProperty("CalcName")
    var calcName: String? = null

    /** 源类型 */
    @ApiModelProperty(value = "源设备类型")
    @Column(name = "source_type")
    @JsonProperty("SourceType")
    var sourceType: String? = null

    /** 前台使用源设备类型 */
    @ApiModelProperty(value = "前台使用源设备类型")
    @Column(name = "front_type")
    @JsonProperty("FrontType")
    var frontType: String? = null

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    @Column(name = "create_time")
    @JsonProperty("CreateTime")
    var createTime: Date? = null
}