/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package cn.sagacloud.server.datacenter.models.entities.graphtype.rel

import cn.sagacloud.server.datacenter.models.entities.base.BaseInfo
import cn.sagacloud.server.datacenter.models.entities.graphtype.rel.RelFloor
import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.annotations.SCascade
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 系统信息实体类
 *
 * @author 张维新
 */
@ApiModel(description = "系统信息实体类")
@Table(name = "general_system")
open class RelGeneralSystemFloor : BaseInfo() {

    /** 系统ID */
    @ApiModelProperty(value = "系统ID")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 系统名称 */
    @ApiModelProperty(value = "系统名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 系统本地编码 */
    @ApiModelProperty(value = "系统本地编码")
    @Column(name = "local_id")
    @JSONField(name = "LocalID")
    var localId: String? = null

    /** 系统本地名称 */
    @ApiModelProperty(value = "系统本地名称")
    @Column(name = "local_name")
    @JSONField(name = "LocalName")
    var localName: String? = null

    /** 设计图纸中编码 */
    @ApiModelProperty(value = "设计图纸中编码")
    @Column(name = "cad_id")
    @JSONField(name = "CADID")
    var cadId: String? = null

    /** BIM模型中编码 */
    @ApiModelProperty(value = "BIM模型中编码")
    @Column(name = "bim_id")
    @JSONField(name = "BIMID")
    var bimId: String? = null

    /** 系统分类 */
    @ApiModelProperty(value = "系统分类",required = true)
    @Column(name = "category")
    @JSONField(name = "Category")
    var category: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id",required = true)
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 建筑id */
    @ApiModelProperty(value = "建筑id")
    @Column(name = "building_id")
    @JSONField(name = "BuildingId")
    var buildingId: String? = null

    /** 楼层id */
    @ApiModelProperty(value = "楼层id")
    @Column(name = "floor_id")
    @JSONField(name = "FloorId")
    var floorId: String? = null

    /** 设定参数 */
    @ApiModelProperty(value = "设定参数")
    @Column(name = "setting_param")
    @JSONField(name = "SettingParam")
    var settingParam: HashMap<String,Any?>? = null

    /** 技术参数 */
    @ApiModelProperty(value = "技术参数")
    @Column(name = "tech_param")
    @JSONField(name = "TechParam")
    var techParam: HashMap<String,Any?>? = null

    /** 运行参数 */
    @ApiModelProperty(value = "运行参数")
    @Column(name = "run_param")
    @JSONField(name = "RunParam")
    var runParam: HashMap<String,Any?>? = null

    /** 自定义 */
    @ApiModelProperty(value = "自定义")
    @Column(name = "custom_param")
    @JSONField(name = "CustomParam")
    var customParam: HashMap<String, Any?>? = null

    /** 运行状态 */
    @ApiModelProperty(value = "运行状态")
    @Column(name = "running_state")
    @JSONField(name = "RunningState")
    var runningState: HashMap<String, Any?>? = null

    /** 对象类型 */
    @ApiModelProperty(value = "对象类型")
    @Column(name = "object_type")
    @JSONField(name = "ObjectType")
    override var objectType: String? = "GeneralSystem"

    /** 专业名称 */
    @ApiModelProperty(value = "专业名称")
    @Column(name = "major_name",insertable = false,updatable = false)
    @JSONField(name = "MajorName")
    var majorName: String? = null

    /** 设备数量 */
    @ApiModelProperty(value = "设备数量")
    @Column(name = "count",insertable = false,updatable = false)
    @JSONField(name = "Count")
    var count: Long? = 0

    /** 设备数量 */
    @ApiModelProperty(value = "设备数量")
    @Column(name = "category_name",insertable = false,updatable = false)
    @JSONField(name = "CategoryName")
    var categoryName: String? = null

    /** 反馈参数 */
    @ApiModelProperty(value = "反馈参数")
    @Column(name = "feedback_param")
    @JSONField(name = "FeedbackParam")
    var feedbackParam: HashMap<String,Any?>? = null

//    /** 级联-系统分类名 */
//    @ApiModelProperty(value = "级联-系统分类名")
//    @SCascade(table="general_system", idColumn="id", childIdColumn="category")
//    @JSONField(name = "CategoryNames")
//    var categoryNames: GeneralSystemCategory? = null
//
//    /** 级联-设备或部件   idColumn 对应 本类的id    childIdColumn 级联对象的关系id */
//    @ApiModelProperty(value = "级联-设备或部件")
//    @SCascade(table="r_sy_eq", idColumn="sys_id", childIdColumn="equip_id")
//    @JSONField(name = "Equipment")
//    var equipmentList: ArrayList<Equipment>? = null
//
//    /** 级联-竖井*/
//    @ApiModelProperty(value = "级联-竖井")
//    @SCascade(table="r_sy_in_sh", idColumn="sys_id", childIdColumn="shaft_id")
//    @JSONField(name = "Shaft")
//    var shaftList: ArrayList<Shaft>? = null
//
//    /** 级联-业务空间*/
//    @ApiModelProperty(value = "级联-业务空间")
//    @SCascade(table="r_sy_in_sp_base", idColumn="sys_id", childIdColumn="space_id")
//    @JSONField(name = "ZoneSpaceBaseTable")
//    var zoneSpaceBaseTableList: ArrayList<ZoneSpaceBaseTable>? = null
//
//    /** 级联-楼层*/
//    @ApiModelProperty(value = "级联-楼层")
//    @SCascade(table="r_sy_in_fl", idColumn="sys_id", childIdColumn="floor_id")
//    @JSONField(name = "FloorList")
//    var floorList: ArrayList<Floor>? = null
//
//    /** 级联-建筑*/
//    @ApiModelProperty(value = "级联-建筑")
//    @SCascade(table="r_sy_in_bd", idColumn="sys_id", childIdColumn="building_id")
//    @JSONField(name = "BuildingList")
//    var buildingList: ArrayList<Building>? = null
//
//    /** 建筑楼层 */
//    @ApiModelProperty(value = "建筑楼层")
//    @JSONField(name = "BuildingFloorInfoList")
//    var buildingFloorInfoList: ArrayList<BuildingFloorInfo>? = null

    /** 级联-系统服务于竖井 */
    @ApiModelProperty(value = "级联-系统服务于竖井")
    @SCascade(table="r_sy_for_fl", idColumn="sys_id", childIdColumn="floor_id")
    @JSONField(name = "ObjectInfo")
    var objectInfo: ArrayList<RelFloor>? = null

} // Class GeneralSystem








