package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 服务于建筑的设备  一对多  一个建筑对应多个设备
 *
 * @author 付国宝
 */
@ApiModel(description = "服务于建筑的设备")
class RBdForEqList : RBaseInfo() {

    /** 建筑id */
    @ApiModelProperty(value = "建筑id")
    @JSONField(name = "BuildingId")
    var buildingId: String? = null

    /** 设备id列表 */
    @ApiModelProperty(value = "设备id列表")
    @JSONField(name = "EquipIdList")
    var equipIdList: ArrayList<String>? = null

} // Class RBdForEqList