package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 服务于建筑的系统  一对多  一个建筑对应多个系统
 *
 * @author 付国宝
 */
@ApiModel(description = "服务于建筑的系统")
class RBdForSyList : RBaseInfo() {

    /** 建筑id */
    @ApiModelProperty(value = "建筑id", required = true)
    @JSONField(name = "BuildingId")
    var buildingId: String? = null

    /** 系统列表id */
    @ApiModelProperty(value = "系统id列表", required = true)
    @JSONField(name = "sysIdList")
    var sysIdList: ArrayList<String>? = null

} // Class RBdForSyList