package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.google.gson.annotations.SerializedName
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 设备设施服务于建筑实体类
 *
 * @author 付国宝
 */
@ApiModel(description = "设备设施服务于建筑实体类")
@Table(name = "r_eq_for_bd")
class REqForBd : RBaseInfo(){

    /** 设备Id */
    @ApiModelProperty(value = "设备Id")
    @Id
    @Column(name = "equip_id")
    @JSONField(name = "EquipId")
    @SerializedName("EquipId")
    var equipId: String? = null

    /** 建筑Id */
    @ApiModelProperty(value = "建筑Id")
    @Id
    @Column(name = "building_id")
    @JSONField(name = "BuildingId")
    @SerializedName("BuildingId")
    var buildingId: String? = null

    /** 项目Id */
    @ApiModelProperty(value = "项目Id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    @SerializedName("ProjectId")
    var projectId: String? = null

    /** 计算标记 1 为手动 2为自动 */
    @ApiModelProperty(value = "计算标记 1 为手动 2为自动 ")
    @Column(name = "sign")
    @JSONField(name = "Sign")
    @SerializedName("Sign")
    var sign: Int? = null

} // Class REqForBd