package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Table

/**
 * 设备设施服务于建筑  一对多  一个设备设施对应多个建筑
 *
 * @author 付国宝
 */
@ApiModel(description = "设备设施服务于建筑")
@Table(name = "r_eq_for_bd")
class REqForBdList : RBaseInfo() {

    /** 设备id */
    @ApiModelProperty(value = "设备id")
    @JSONField(name = "EquipId")
    var equipId: String? = null

    /** 建筑id列表 */
    @ApiModelProperty(value = "建筑id列表")
    @JSONField(name = "BuildingIdList")
    var buildingIdList: ArrayList<String>? = null

} // Class REqForBdList