package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 设备设施服务于楼层  一对多  一个设备对应多个楼层
 *
 * @author 付国宝
 */
@ApiModel(description = "设备设施服务于楼层")
class REqForFlList : RBaseInfo() {

    /** 设备id */
    @ApiModelProperty(value = "设备id")
    @JSONField(name = "EquipId")
    var equipId: String? = null

    /** 楼层id列表 */
    @ApiModelProperty(value = "楼层id列表")
    @JSONField(name = "FloorIdList")
    var floorIdList: ArrayList<String>? = null

} // Class REqForFlList