package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.google.gson.annotations.SerializedName
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 设备服务于业务空间 基类
 *
 * @author 付国宝
 */
@ApiModel(description = "设备服务于业务空间 基类")
@Table(name = "r_eq_for_sp_base")
open class REqForSpBase : RBaseInfo() {

    /** 设备id */
    @ApiModelProperty(value = "设备id")
    @Id
    @Column(name = "equip_id")
    @JSONField(name = "EquipId")
    @SerializedName("EquipId")
    var equipId: String? = null

    /** 业务空间id */
    @ApiModelProperty(value = "业务空间id")
    @Id
    @Column(name = "space_id")
    @JSONField(name = "SpaceId")
    @SerializedName("SpaceId")
    var spaceId: String? = null

    /** 业务空间类型 */
    @ApiModelProperty(value = "业务空间类型")
    @Column(name = "object_type")
    @JSONField(name = "ObjectType")
    @SerializedName("ObjectType")
    open var objectType: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    @SerializedName("ProjectId")
    var projectId: String? = null

    /** 计算标记 1 为手动 2为自动 */
    @ApiModelProperty(value = "计算标记 1 为手动 2为自动 ")
    @Column(name = "sign")
    @JSONField(name = "Sign")
    @SerializedName("Sign")
    var sign: Int? = null

} //Class REqForSpBase