package cn.sagacloud.server.datacenter.models.entities.relationship

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Table

/**
 * 设备服务于业务空间  一对多  一个设备对应多个业务空间
 *
 * @author 付国宝
 */
@ApiModel(description = "设备服务于业务空间")
@Table(name = "r_eq_for_sp_base")
open class REqForSpBaseList : SBaseEntity() {

    /** 设备id */
    @ApiModelProperty(value = "设备id")
    @JSONField(name = "EquipId")
    var equipId: String? = null

    /** 业务空间id列表 */
    @ApiModelProperty(value = "业务空间id列表")
    @JSONField(name = "SpaceIdList")
    var spaceIdList: ArrayList<String>? = null

} // Class REqForSpBaseList