package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 关系-设备所在的元空间
 *
 * @author 张维新
 */
@ApiModel(description = "关系-设备所在的元空间")
@Table(name = "r_eq_in_si")
class REqInSi : RBaseInfo() {

    /** 设备id */
    @ApiModelProperty(value = "设备id")
    @Id
    @Column(name = "equip_id")
    @JSONField(name = "EquipId")
    var equipId: String? = null

    /** 元空间id */
    @ApiModelProperty(value = "元空间id")
    @Id
    @Column(name = "ispace_id")
    @JSONField(name = "IspaceId")
    var ispaceId: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 计算标记 1 为手动 2为自动 */
    @ApiModelProperty(value = "计算标记 1 为手动 2为自动 ")
    @Column(name = "sign")
    @JSONField(name = "Sign")
    var sign: Int? = null

} // Class REqInSi