package cn.sagacloud.server.datacenter.models.entities.relationship

import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Table

/**
 * 设备所在的租户业务空间实体类
 *
 * @author 付国宝
 */
@ApiModel(description = "设备所在的租户业务空间实体类")
@Table(name = "r_eq_in_sp_zone_tenant")
class REqInSpZoneTenant : REqInSpBase(){

    /** 业务空间类型 */
    @ApiModelProperty(value = "业务空间类型")
    @Column(name = "object_type")
    @JSONField(name = "ObjectType")
    override var objectType: String? = "TenantZone"
}