package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 服务于楼层的设备设施  一对多  一个楼层对应多个设备
 *
 * @author 付国宝
 */
@ApiModel(description = "服务于楼层的设备设施")
class RFlForEqList : RBaseInfo() {

    /** 楼层id */
    @ApiModelProperty(value = "楼层id")
    @JSONField(name = "FloorId")
    var floorId: String? = null

    /** 设备id列表 */
    @ApiModelProperty(value = "设备id列表")
    @JSONField(name = "EquipIdList")
    var equipIdList: ArrayList<String>? = null

} // Class RFlForEqList