package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.google.gson.annotations.SerializedName
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 楼层的贯通关系
 *
 * @author 张维新
 */
@ApiModel(description = "楼层的贯通关系")
@Table(name = "r_fl_through_fl")
class RFlThroughFl : RBaseInfo() {

    /** 楼层id */
    @ApiModelProperty(value = "楼层id")
    @Id
    @Column(name = "floor_id")
    @JSONField(name = "FloorId")
    @SerializedName("FloorId")
    var floorId: String? = null

    /** 其他楼层id */
    @ApiModelProperty(value = "其他楼层id")
    @Id
    @Column(name = "floor_other_id")
    @JSONField(name = "FloorOtherId")
    @SerializedName("FloorOtherId")
    var floorOtherId: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    @SerializedName("ProjectId")
    var projectId: String? = null

    /** 计算标记 1 为手动 2为自动 */
    @ApiModelProperty(value = "计算标记 1 为手动 2为自动 ")
    @Column(name = "sign")
    @JSONField(name = "Sign")
    @SerializedName("Sign")
    var sign: Int? = null

} // class RFlThroughFl