package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 元空间邻接关系
 *
 * @author 张维新
 */
@ApiModel(description = "元空间邻接关系")
@Table(name = "r_ispace_adjacent_ispace")
class RIspaceAdjacentIspace : RBaseInfo() {

    /** 元空间id */
    @ApiModelProperty(value = "元空间id")
    @Id
    @Column(name = "ispace")
    @JSONField(name = "Ispace")
    var ispace: String? = null

    /** 其它元空间id */
    @ApiModelProperty(value = "其它元空间id")
    @Id
    @Column(name = "other_ispace_id")
    @JSONField(name = "OtherIspaceId")
    var otherIspaceId: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Id
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 计算标记 1 为手动 2为自动 */
    @ApiModelProperty(value = "计算标记 1 为手动 2为自动 ")
    @Column(name = "sign")
    @JSONField(name = "Sign")
    var sign: Int? = null

} // Class RIspaceAdjacentIspace