package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.google.gson.annotations.SerializedName
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 资产所在竖井
 *
 * @author 张维新
 */
@ApiModel(description = "资产所在竖井")
@Table(name = "r_pe_in_sh")
class RPeInSh : RBaseInfo(){

    /** 资产id */
    @ApiModelProperty(value = "资产id")
    @Id
    @Column(name = "equip_id")
    @JSONField(name = "EquipId")
    @SerializedName("EquipId")
    var equipId: String? = null

    /** 空间id */
    @ApiModelProperty(value = "空间id")
    @Id
    @Column(name = "shaft_id")
    @JSONField(name = "ShaftId")
    @SerializedName("ShaftId")
    var shaftId: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    @SerializedName("ProjectId")
    var projectId: String? = null

    /** 计算标记 1 为手动 2为自动 */
    @ApiModelProperty(value = "计算标记 1 为手动 2为自动 ")
    @Column(name = "sign")
    @JSONField(name = "Sign")
    @SerializedName("Sign")
    var sign: Int? = null

} // Class RPeInSh