package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.google.gson.annotations.SerializedName
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 资产所在的业务空间
 */
@ApiModel(description = "资产所在的业务空间")
@Table(name = "r_pe_in_sp_base")
class RPeInSpBase : RBaseInfo() {

    /** 资产id */
    @ApiModelProperty(value = "资产id")
    @Id
    @Column(name = "equip_id")
    @JSONField(name = "EquipId")
    @SerializedName("EquipId")
    var equipId: String? = null

    /** 空间id */
    @ApiModelProperty(value = "空间id")
    @Id
    @Column(name = "space_id")
    @JSONField(name = "SpaceId")
    @SerializedName("SpaceId")
    var spaceId: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    @SerializedName("ProjectId")
    var projectId: String? = null

    /** 空间类型 */
    @ApiModelProperty(value = "空间类型")
    @Column(name = "object_type")
    @JSONField(name = "ObjectType")
    @SerializedName("ObjectType")
    var objectType: String? = null

    /** 计算标记 1 为手动 2为自动 */
    @ApiModelProperty(value = "计算标记 1 为手动 2为自动 ")
    @Column(name = "sign")
    @JSONField(name = "Sign")
    @SerializedName("Sign")
    var sign: Int? = null

} // Class RPeInSpBase