package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.google.gson.annotations.SerializedName
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 竖井下的业务空间 父类
 *
 * @author 付国宝
 */
@ApiModel(description = "竖井下的业务空间 父类")
@Table(name = "r_sh_contain_sp_base")
open class RShContainSpBase : RBaseInfo() {

    /** 竖井id */
    @ApiModelProperty(value = "竖井id")
    @Id
    @Column(name = "shaft_id")
    @JSONField(name = "ShaftId")
    @SerializedName("ShaftId")
    var shaftId: String? = null

    /** 业务空间 */
    @ApiModelProperty(value = "业务空间")
    @Id
    @Column(name = "space_id")
    @JSONField(name = "SpaceId")
    @SerializedName("SpaceId")
    var spaceId: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    @SerializedName("ProjectId")
    var projectId: String? = null

    /** 对象类型 */
    @ApiModelProperty(value = "对象类型")
    @Column(name = "object_type")
    @JSONField(name = "ObjectType")
    @SerializedName("ObjectType")
    open var objectType: String? = null

    /** 计算标记 1 为手动 2为自动 */
    @ApiModelProperty(value = "计算标记 1 为手动 2为自动 ")
    @Column(name = "sign")
    @JSONField(name = "Sign")
    @SerializedName("Sign")
    var sign: Int? = null

} // Class RShContainSpBase