package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.google.gson.annotations.SerializedName
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 竖井所在的建筑
 *
 * @author 张维新
 */
@ApiModel(description = "竖井所在的建筑")
@Table(name = "r_sh_in_bd")
class RShInBd : RBaseInfo(){

    /** 竖井id */
    @ApiModelProperty(value = "元空间id")
    @Id
    @Column(name = "shaft_id")
    @JSONField(name = "ShaftId")
    var shaftId: String? = null

    /** 业务空间id */
    @ApiModelProperty(value = "业务空间id")
    @Id
    @Column(name = "building_id")
    @JSONField(name = "BuildingId")
    var buildingId: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 计算标记 1 为手动 2为自动 */
    @ApiModelProperty(value = "计算标记 1 为手动 2为自动 ")
    @Column(name = "sign")
    @JSONField(name = "Sign")
    var sign: Int? = null


} // class RShInBd