package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.google.gson.annotations.SerializedName
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 竖井的贯通关系
 *
 * @author 张维新
 */
@ApiModel(description = "竖井的贯通关系")
@Table(name = "r_sh_through_sh")
class RShaftThroughShaft : RBaseInfo() {

    /**竖井id */
    @ApiModelProperty(value = "竖井id")
    @Id
    @Column(name = "shaft_id")
    @JSONField(name = "ShaftId")
    @SerializedName("ShaftId")
    var shaftId: String? = null

    /** 其他竖井id */
    @ApiModelProperty(value = "其他竖井id")
    @Id
    @Column(name = "shaft_other_id")
    @JSONField(name = "ShaftOtherId")
    @SerializedName("ShaftOtherId")
    var shaftOtherId: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    @SerializedName("ProjectId")
    var projectId: String? = null

    /** 计算标记 1 为手动 2为自动 */
    @ApiModelProperty(value = "计算标记 1 为手动 2为自动 ")
    @Column(name = "sign")
    @JSONField(name = "Sign")
    @SerializedName("Sign")
    var sign: Int? = null

} // class RFlThroughFl