package cn.sagacloud.server.datacenter.models.entities.relationship

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 业务空间内的元空间 一对多  一个业务空间对应多个元空间
 *
 * @author 付国宝
 */
@ApiModel(description = "业务空间内的元空间")
open class RSiInSpBaseList : SBaseEntity() {

    /** 元空间id列表 */
    @ApiModelProperty(value = "元空间id列表")
    @JSONField(name = "IspaceIdList")
    var ispaceIdList: ArrayList<String>? = null

    /** 业务空间id */
    @ApiModelProperty(value = "业务空间id")
    @JSONField(name = "SpaceId")
    var spaceId: String? = null

    /** 空间类型 */
    @ApiModelProperty(value = "空间类型")
    @JSONField(name = "ZoneType")
    var zoneType: String? = null

} // Class RSiInSpBaseList