package cn.sagacloud.server.datacenter.models.entities.relationship

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 服务于业务空间的系统  一对多  一个业务空间对应多个系统
 *
 * @author 付国宝
 */
@ApiModel(description = "服务于业务空间的系统")
open class RSpForSyBaseList : SBaseEntity() {

    /** 业务空间id */
    @ApiModelProperty(value = "业务空间id")
    @JSONField(name = "SpaceId")
    var spaceId: String? = null

    /** 系统id列表 */
    @ApiModelProperty(value = "系统id列表")
    @JSONField(name = "sysIdList")
    var sysIdList: ArrayList<String>? = null

} // Class RSpForSyBaseList