package cn.sagacloud.server.datacenter.models.entities.relationship

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 所在业务空间的设备  一对多  一个业务空间对应多个设备
 *
 * @author 付国宝
 */
@ApiModel(description = "所在业务空间的设备")
open class RSpInEqBaseList : SBaseEntity() {

    /** 业务空间id */
    @ApiModelProperty(value = "业务空间id")
    @JSONField(name = "SpaceId")
    var spaceId: String? = null

    /** 设备id列表 */
    @ApiModelProperty(value = "设备id列表")
    @JSONField(name = "EquipIdList")
    var equipIdList: ArrayList<String>? = null

} // Class RSpInEqBaseList