package cn.sagacloud.server.datacenter.models.entities.relationship

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Table

/**
 * 业务空间内的元空间  一对多  一个元空间对应多个业务空间
 *
 * @author 付国宝
 */
@ApiModel(description = "业务空间内的元空间")
@Table(name = "r_sp_in_si_base")
open class RSpInSiBaseList : SBaseEntity() {

    /** 元空间id */
    @ApiModelProperty(value = "元空间id")
    @JSONField(name = "IspaceId")
    var ispaceId: String? = null

    /** 业务空间id列表 */
    @ApiModelProperty(value = "业务空间id")
    @JSONField(name = "SpaceIdList")
    var spaceIdList: ArrayList<String>? = null

} // Class RSpInSiBaseList