package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 *
 */
@ApiModel(description = "空间的垂直交通关系")
@Table(name = "r_sp_vertical_sp")
class RSpVerticalSp : RBaseInfo(){

    /** 空间id */
    @ApiModelProperty(value = "空间id", required = true)
    @Id
    @Column(name = "space_id")
    @JSONField(name = "SpaceId")
    var spaceId: String? = null

    /** 关系空间id */
    @ApiModelProperty(value = "关系空间id", required = true)
    @Id
    @Column(name = "space_other_id")
    @JSONField(name = "SpaceOtherId")
    var spaceOtherId: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id", required = true)
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 空间类型 */
    @ApiModelProperty(value = "空间类型", required = true)
    @Column(name = "object_type")
    @JSONField(name = "ObjectType")
    var objectType: String? = null

    /** 标记手动 1 自动 2 */
    @ApiModelProperty(value = "标记手动 1 自动 2 ", required = true)
    @Column(name = "sign")
    @JSONField(name = "Sign")
    var sign: Int? = null

} //