package cn.sagacloud.server.datacenter.models.entities.relationship

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 业务空间所在的楼层
 *
 * @author 张维新
 */
@ApiModel(description = "业务空间所在的楼层")
@Table(name = "r_sp_in_fl")
class RSpinFl : SBaseEntity() {

    /** 楼层id */
    @ApiModelProperty(value = "楼层id")
    @Id
    @Column(name = "floor_id")
    @JSONField(name = "FloorId")
    var floorId: String? = null

    /** 空间id */
    @ApiModelProperty(value = "空间id")
    @Id
    @Column(name = "space_id")
    @JSONField(name = "SpaceId")
    var spaceId: String? = null

    /** 空间类型 */
    @ApiModelProperty(value = "空间类型")
    @Column(name = "object_type")
    @JSONField(name = "ObjectType")
    var objectType: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 标记 1为手动  2为自动 */
    @ApiModelProperty(value = "标记 1为手动  2为自动")
    @Column(name = "sign")
    @JSONField(name = "Sign")
    var sign: Int? = 1

    /** 建筑id */
    @ApiModelProperty(value = "建筑id")
    @JSONField(name = "BuildingId")
    @Column(name = "building_id")
    var buildingId: String? = null

} // Class RSpinBd