package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.google.gson.annotations.SerializedName
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 系统下的设备设施
 *
 * @author 张维新
 */
@ApiModel(description = "系统下的设备设施")
@Table(name = "r_sy_eq")
class RSyEq : RBaseInfo(){

    /** 设备id */
    @ApiModelProperty(value = "设备id", required = true)
    @Id
    @Column(name = "equip_id")
    @JSONField(name = "EquipID")
    @SerializedName("EquipID")
    var equipId: String? = null

    /** 系统id */
    @ApiModelProperty(value = "系统id", required = true)
    @Id
    @Column(name = "sys_id")
    @JSONField(name = "SysID")
    @SerializedName("SysID")
    var sysId: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    @SerializedName("ProjectId")
    var projectId: String? = null

    /** 计算标记 1 为手动 2为自动 */
    @ApiModelProperty(value = "计算标记 1 为手动 2为自动 ")
    @Column(name = "sign")
    @JSONField(name = "Sign")
    var sign: Int? = null

} // Class RSyEq