package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 系统服务于楼层实体类
 *
 * @author 付国宝
 */
@ApiModel(description = "系统服务于楼层实体类")
@Table(name = "r_sy_for_fl")
class RSyForFl : RBaseInfo() {

    /** 系统id */
    @ApiModelProperty(value = "系统id")
    @Id
    @Column(name = "sys_id")
    @JSONField(name = "SysId")
    var sysId: String? = null

    /** 楼层id */
    @ApiModelProperty(value = "楼层id")
    @Id
    @Column(name = "floor_id")
    @JSONField(name = "FloorId")
    var floorId: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 计算标记 1 为手动 2为自动 */
    @ApiModelProperty(value = "计算标记 1 为手动 2为自动 ")
    @Column(name = "sign")
    @JSONField(name = "Sign")
    var sign: Int? = null

} // Class RSyForFl