package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Table

/**
 * 系统服务于楼层  一对多  一个系统对应多个楼层
 *
 * @author 付国宝
 */
@ApiModel(description = "系统服务于楼层")
@Table(name = "r_sy_for_fl")
class RSyForFlList : RBaseInfo() {

    /** 系统id */
    @ApiModelProperty(value = "系统id")
    @JSONField(name = "SysId")
    var sysId: String? = null

    /** 楼层id列表 */
    @ApiModelProperty(value = "楼层id列表")
    @JSONField(name = "FloorIdList")
    var floorIdList: ArrayList<String>? = null

} // Class RSyForFlList