package cn.sagacloud.server.datacenter.models.entities.relationship

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 系统服务于业务空间 基类
 *
 * @author 付国宝
 */
@ApiModel(description = "系统服务于业务空间 基类")
@Table(name = "r_sy_for_sp_base")
open class RSyForSpBase : SBaseEntity() {

    /** 系统id */
    @ApiModelProperty(value = "系统id")
    @Id
    @Column(name = "sys_id")
    @JSONField(name = "SysId")
    var sysId: String? = null

    /** 业务空间 */
    @ApiModelProperty(value = "业务空间")
    @Id
    @Column(name = "space_id")
    @JSONField(name = "SpaceId")
    var spaceId: String? = null

    /** 业务空间类型 */
    @ApiModelProperty(value = "业务空间类型")
    @Column(name = "object_type")
    @JSONField(name = "ObjectType")
    var objectType: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 计算标记 1 为手动 2为自动 */
    @ApiModelProperty(value = "计算标记 1 为手动 2为自动 ")
    @Column(name = "sign")
    @JSONField(name = "Sign")
    var sign: Int? = null

} // Class RSyForSpBase