package cn.sagacloud.server.datacenter.models.entities.relationship

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonProperty
import com.google.gson.annotations.SerializedName
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 系统所在的竖井实体类
 *
 * @author 付国宝
 */
@ApiModel(description = "系统所在的竖井实体类")
@Table(name = "r_sy_in_sh")
class RSyInSh : RBaseInfo() {
    
    /** 系统id */
    @ApiModelProperty(value = "系统id")
    @Id
    @Column(name = "sys_id")
    @JSONField(name = "SysId")
    @SerializedName("SysId")
    var sysId: String? = null

    /** 竖井id */
    @ApiModelProperty(value = "竖井id")
    @Id
    @Column(name = "shaft_id")
    @JSONField(name = "ShaftId")
    @SerializedName("ShaftId")
    var shaftId: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    @SerializedName("ProjectId")
    var projectId: String? = null

    /** 计算标记 1 为手动 2为自动 */
    @ApiModelProperty(value = "计算标记 1 为手动 2为自动 ")
    @Column(name = "sign")
    @JSONField(name = "Sign")
    @SerializedName("Sign")
    var sign: Int? = null
} // Class RSyInSh