package cn.sagacloud.server.datacenter.models.entities.relationship

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 租户所租用的业务空间 基类
 *
 * @author 付国宝
 */
@ApiModel(description = "租户所租用的业务空间 基类")
@Table(name = "r_tn_in_sp_base")
open class RTnInSpBase : SBaseEntity() {

    /** 租户id */
    @ApiModelProperty(value = "租户id")
    @Id
    @Column(name = "tenant_id")
    @JSONField(name = "TenantId")
    var tenantId: String? = null

    /** 业务空间id */
    @ApiModelProperty(value = "业务空间id")
    @Id
    @Column(name = "space_id")
    @JSONField(name = "SpaceId")
    var spaceId: String? = null

    /** 业务空间类型 */
    @ApiModelProperty(value = "业务空间类型")
    @Column(name = "object_type")
    @JSONField(name = "ObjectType")
    var objectType: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 计算标记 1 为手动 2为自动 */
    @ApiModelProperty(value = "计算标记 1 为手动 2为自动 ")
    @Column(name = "sign")
    @JSONField(name = "Sign")
    var sign: Int? = null

} // Class RTnInSpBase