package cn.sagacloud.server.datacenter.models.entities.relationship

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 租户所租用的业务空间  一对多  一个租户对应多个业务空间
 *
 * @author 付国宝
 */
@ApiModel(description = "租户所租用的业务空间")
open class RTnInSpBaseList : SBaseEntity() {

    /** 租户id */
    @ApiModelProperty(value = "租户id")
    @JSONField(name = "TenantId")
    var tenantId: String? = null

    /** 业务空间id列表 */
    @ApiModelProperty(value = "业务空间id列表")
    @JSONField(name = "SpaceIdList")
    var spaceIdList: ArrayList<String>? = null

    @ApiModelProperty(value = "楼层id")
    @JSONField(name = "FloorId")
    var floorId: String? = null

} // Class RTnInSpBaseList