package cn.sagacloud.server.datacenter.models.entities.relationship.rel

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import com.google.gson.annotations.SerializedName
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 设备系统关系
 *
 * @author 张维新
 */
@ApiModel(description = "设备系统关系")
@Table(name = "relationship.r_eq2sy")
class REq2Sy : RBaseInfo(){

    /** 设备Id */
    @ApiModelProperty(value = "设备Id")
    @Id
    @Column(name = "eq_id")
    @JSONField(name = "Id1")
    @SerializedName("Id1")
    var id1: String? = null

    /** 系统Id */
    @ApiModelProperty(value = "系统Id")
    @Id
    @Column(name = "sy_id")
    @JSONField(name = "Id2")
    @SerializedName("Id2")
    var id2: String? = null

    /** 项目Id */
    @ApiModelProperty(value = "项目Id")
    @Id
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    @SerializedName("ProjectId")
    var projectId: String? = null

    /** 类型 */
    @ApiModelProperty(value = "类型 " )
    @Id
    @Column(name = "type")
    @JSONField(name = "Type")
    @SerializedName("Type")
    var type: String? = null

    /** 计算标记 1 为手动 2为自动 */
    @ApiModelProperty(value = "计算标记 1 为手动 2为自动 ")
    @Column(name = "sign")
    @JSONField(name = "Sign")
    @SerializedName("Sign")
    var sign: Int? = null

} // Class REq2Bd