package cn.sagacloud.server.datacenter.models.entities.task

import cn.sagacloud.server.datacenter.models.entities.base.RBaseInfo
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 记录问题
 *
 * @author zhagnweixin
 */
@ApiModel(description = "记录问题")
@Table(name = "scantask.record_problems")
class RecordProblems : RBaseInfo() {

    /** id */
    @ApiModelProperty(value = "id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    @ApiModelProperty(value = "名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    @ApiModelProperty(value = "说明")
    @Column(name = "note")
    @JSONField(name = "Note")
    var note: String? = null

    @ApiModelProperty(value = "位置坐标")
    @Column(name = "location")
    @JSONField(name = "Location")
    var location: String? = null

    /** 图片  */
    @ApiModelProperty(value = "图片 ")
    @Column(name = "pic")
    @JSONField(name = "Pic")
    var pic: ArrayList<TaskPic>? =null

    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    @ApiModelProperty(value = "作者")
    @Column(name = "author")
    @JSONField(name = "Author")
    var author: String? = null

} // class RecordProblems