package cn.sagacloud.server.scanbuilding

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.util.*
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 异常信息处理实体类
 *
 * @author 付国宝
 */
@ApiModel(description = "异常信息处理实体类")
@Table(name = "scanbuilding.exception_request")
class ExceptionRequest : SBaseEntity() {

    /** 主键ID */
    @ApiModelProperty(value = "主键ID")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: Int? = null

    /** 类型 */
    @ApiModelProperty(value = "类型")
    @Column(name = "type")
    @JSONField(name = "Type")
    var type: String? = null

    /** 项目ID */
    @ApiModelProperty(value = "项目ID")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 请求体 */
    @ApiModelProperty(value = "请求体")
    @Column(name = "request_body")
    @JSONField(name = "RequestBody")
    var requestBody: String? = null

    /** 状态 */
    @ApiModelProperty(value = "状态")
    @Column(name = "status")
    @JSONField(name = "Status")
    var status: Int? = null

    /** 添加时间 */
    @ApiModelProperty(value = "添加时间",example = "2019-07-16 14:24:00")
    @Column(name = "add_time")
    @JSONField(name = "AddTime")
    var addTime: Date? = null

    /** 请求次数 */
    @ApiModelProperty(value = "请求次数")
    @Column(name = "upload_count")
    @JSONField(name = "UploadCount")
    var uploadCount: Int? = null

} // Class ExceptionRequest