package cn.sagacloud.server.scanbuilding

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 二维码标签信息说明实体类
 *
 * @author 付国宝
 */
@ApiModel(description = "二维码标签信息说明实体类")
@Table(name = "scanbuilding.note_template")
class NoteTemplate : SBaseEntity() {

    /** 主键ID */
    @ApiModelProperty(value = "主键ID")
    @Id
    @Column(name = "id")
    @JSONField(name = "TemplateId")
    var id: String? = null

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Column(name = "name")
    @JSONField(name = "TemplateName")
    var name: String? = null

    /** 类型(0：设备；1：点位) */
    @ApiModelProperty(value = "类型(0：设备；1：点位)")
    @Column(name = "type")
    @JSONField(name = "Type")
    var type: Int? = null

    /** 模板内容 */
    @ApiModelProperty(value = "模板内容")
    @Column(name = "template")
    @JSONField(name = "Template")
    var template: String? = null

    /** 版本 */
    @ApiModelProperty(value = "版本")
    @Column(name = "version")
    @JSONField(name = "Version")
    var version: Int? = null

} // Class NoteTemplate