package cn.sagacloud.server.scanbuilding

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 声音文件地址实体类
 *
 * @author 付国宝
 */
@ApiModel(description = "声音文件地址实体类")
@Table(name = "scanbuilding.sound")
class Sound : SBaseEntity() {

    /** 主键ID */
    @ApiModelProperty(value = "主键ID")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 项目ID */
    @ApiModelProperty(value = "项目ID")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 对象ID */
    @ApiModelProperty(value = "对象ID")
    @Column(name = "object_id")
    @JSONField(name = "ObjectId")
    var objectId: String? = null

    /** 信息点ID */
    @ApiModelProperty(value = "信息点ID")
    @Column(name = "info_point_code")
    @JSONField(name = "InfoPointCode")
    var infoPointCode: String? = null

    /** 声音文件key */
    @ApiModelProperty(value = "声音文件key")
    @Column(name = "sound_key")
    @JSONField(name = "SoundKey")
    var soundKey: String? = null

} // Class Sound