package cn.sagacloud.server.scanbuilding

import com.alibaba.fastjson.annotation.JSONField
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 用户信息实体类
 *
 * @author 付国宝
 */
@ApiModel(description = "用户信息实体类")
@Table(name = "scanbuilding.user")
class User : SBaseEntity() {

    /** 用户ID */
    @ApiModelProperty(value = "用户ID")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 手机号 */
    @ApiModelProperty(value = "手机号")
    @Column(name = "phone")
    @JSONField(name = "Phone")
    var phone: String? = null

    /** 用户名字 */
    @ApiModelProperty(value = "用户名字")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 项目ID */
    @ApiModelProperty(value = "项目ID")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 备注 */
    @ApiModelProperty(value = "备注")
    @Column(name = "note")
    @JSONField(name = "Note")
    var note: String? = null

} // Class User