package cn.sagacloud.server.algorithm.models.baseGraph

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnore
import io.swagger.annotations.ApiModelProperty
import java.util.*
import javax.persistence.Column

/**
 * 底图实体类基类
 *
 * @author jxing
 */
open class BGBaseEntity {
    /** 最后更新日期 */
    @ApiModelProperty(value = "最后更新日期", example = "2009-04-21 13:16:00")
    @Column(name = "last_update", updatable = false, insertable = false)
    @JSONField(serialize = false)
    var lastUpdate: Date? = null

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", example = "2017-10-15 08:30:00")
    @Column(name = "create_time", updatable = false, insertable = false)
    @JSONField(serialize = false)
    var createTime: Date? = null
}