/*
 * ********************************************************************************************************************
 *
 *                      :*$@@%$*:                         ;:                ;;    ;;
 *                    :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                   :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                   =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                   =@*                                  %!              @ $= % %@=   =%@!      %=
 *              *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *            %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *          ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *          $@*   ;@@@%=!:                *@*
 *          =@$    ;;;!=%@@@@=!           =@!
 *           %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *            ;%@@$=$@@%*       *@@@$=%@@%;
 *               ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package cn.sagacloud.server.algorithm.models.entities

import cn.sagacloud.server.algorithm.models.jsonAnalyzer.Location
import cn.sagacloud.server.algorithm.models.jsonAnalyzer.Point
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnore
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table
/**
 * 门
 *
 * @author jxing
 */
@ApiModel(description = "门")
@Table(name = "revit.door")

class BGDoor : BGWindowDoorBase() {

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 对应Revit模型id */
    @ApiModelProperty(value = "对应Revit模型id")
    @Column(name = "source_id")
    @JSONField(name = "SourceId")
    var sourceId: String? = null

    /** 宽度 */
    @ApiModelProperty(value = "宽度")
    @Column(name = "width")

    @JSONField(serialize = false)
    var width: Double? = null

    /** 定位点 */
    @ApiModelProperty(value = "定位点")
    @Column(name = "location")
    @JSONField(name = "Location")
    var location: Location? = null

    /** 轮廓线 */
    @ApiModelProperty(value = "轮廓线")
    @Column(name = "outline")
    @JSONField(name = "OutLine")
    var outline: ArrayList<ArrayList<Point>>? = null

    /** 面方向 */
    @ApiModelProperty(value = "面方向")
    @Column(name = "face_direction")
    @JSONField(name = "FaceDirection")
    var faceDirection : Point? = null

    /** Hand方向 */
    @ApiModelProperty(value = "Hand方向")
    @Column(name = "hand_direction")
    @JSONField(name = "HandDirection")
    var handDirection : Point? = null

    @ApiModelProperty(value = "revit模型中的id")
    @Column(name = "revit_id")
    @JSONField(name = "Id")
    var revitId : String? = null

    @JSONField(name = "ElementType")
    @ApiModelProperty(value = "类型")
    @Column(name = "type")
    var elementType : String? = null

    @JSONField(name = "Thick")
    @ApiModelProperty(value = "厚度")
    @Column(name = "thick")
    var thick : Double? = null

    // 以下是json解析字段

//    @JSONField(name = "Owner")
//    var jsonOwner : String? = null //
//
//    @JSONField(name = "Location")
//    var jsonLocation : Location? = null //
//
//    @JSONField(name = "OutLine")
//    var jsonOutline : ArrayList<ArrayList<Point>>? = null //
//
//    @JSONField(name = "SourceId")
//    var jsonSourceId : String? = null //
//
//    @JSONField(name = "FaceDirection")
//    var jsonFaceDirection : Point? = null //
//
//    @JSONField(name = "HandDirection")
//    var jsonHandDirection : Point? = null //
//
//    @JSONField(name = "Thick")
//    var jsonThick : Double? = null //
//
//    @JSONField(name = "Id")
//    var jsonId : String? = null //
//
//    @JSONField(name = "ElementType")
//    var jsonElementType : String? = null //
//
//    @JSONField(name = "Name")
//    var jsonName: String? = null  //
}