/*
 * ********************************************************************************************************************
 *
 *                      :*$@@%$*:                         ;:                ;;    ;;
 *                    :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                   :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                   =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                   =@*                                  %!              @ $= % %@=   =%@!      %=
 *              *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *            %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *          ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *          $@*   ;@@@%=!:                *@*
 *          =@$    ;;;!=%@@@@=!           =@!
 *           %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *            ;%@@$=$@@%*       *@@@$=%@@%;
 *               ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package cn.sagacloud.server.algorithm.models.entities

import cn.sagacloud.server.algorithm.models.jsonAnalyzer.Location
import cn.sagacloud.server.algorithm.models.jsonAnalyzer.Point
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Table
/**
 * 虚拟墙
 *
 * @author jxing
 */
@ApiModel(description = "虚拟墙")
@Table(name = "revit.virtual_wall")

class BGVirtualWall : BGBaseComponent() {

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    var name: String? = null

    /** 对应Revit模型id */
    @ApiModelProperty(value = "对应Revit模型id")
    @Column(name = "source_id")
    @JSONField(name = "SourceId")
    var sourceId: String? = null

    /** 墙路径 */
    @ApiModelProperty(value = "墙路径")
    @Column(name = "location")
    @JSONField(name = "Location")
    var location : Location? = null

    /** 墙轮廓 */
    @ApiModelProperty(value = "墙轮廓")
    @Column(name = "outline")
    @JSONField(name = "OutLine")
    var outline: ArrayList<ArrayList<Point>>? = null

    @ApiModelProperty(value = "revit模型中的id")
    @Column(name = "revit_id")
    @JSONField(name = "Id")
    var revitId : String? = null

    @JSONField(name = "ElementType")
    @ApiModelProperty(value = "类型")
    @Column(name = "type")
    var elementType : String? = null

    // 以下是json解析字段

//    @JSONField(name = "Location")
//    var jsonLocation : Location? = null //
//
//    @JSONField(name = "OutLine")
//    var jsonOutline : ArrayList<ArrayList<Point>>? = null //
//
//    @JSONField(name = "SourceId")
//    var jsonSourceId : String? = null //
//
//    @JSONField(name = "Id")
//    var jsonId : String? = null //
//
//    @JSONField(name = "ElementType")
//    var jsonElementType : String? = null //
//
//    @JSONField(name = "Name")
//    var jsonName: String? = null //
}