package cn.sagacloud.server.algorithm.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 设备对照表
 * @author  Cainga
 * @date  2020/12/3 15:53
 */

@ApiModel(description = "设备对照")
@Table(name = "revit.equip_comp")
@JsonIgnoreProperties(ignoreUnknown = true)
open class EquipComp {

//    /** id */
//   @Schema(description = "id")
    @Column(name = "id", updatable = false)
    @Id
    var id: Int? = null

    /** 万达BIMTypeID */
    @ApiModelProperty(value = "万达BIMTypeID")
    @Column(name = "bim_type_id")
//    @JSONField(name = "BIMTypeID")
//    @JsonProperty("BIMTypeID")
    var bimTypeId: String? = null

    /** 万达BIMTypeName */
    @ApiModelProperty(value = "万达BIMTypeName")
    @Column(name = "bim_type_name")
//    @JSONField(name = "BIMTypeID")
//    @JsonProperty("BIMTypeID")
    var bimTypeName: String? = null

    /** 系统分类 */
    @ApiModelProperty(value = "系统分类")
    @Column(name = "sys_name")
    var sysName: String? = null


    /** 设备设施类编码 */
    @ApiModelProperty(value = "设备设施类编码")
    @Column(name = "class_code")
    var classCode: String? = null
    set(value) {
        field = value?.trim()
    }


    /** 设备设施类名称 */
    @ApiModelProperty(value = "设备设施类名称")
    @Column(name = "class_name")
    var className: String? = null
}