/*
 * ********************************************************************************************************************
 *
 *                      :*$@@%$*:                         ;:                ;;    ;;
 *                    :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                   :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                   =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                   =@*                                  %!              @ $= % %@=   =%@!      %=
 *              *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *            %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *          ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *          $@*   ;@@@%=!:                *@*
 *          =@$    ;;;!=%@@@@=!           =@!
 *           %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *            ;%@@$=$@@%*       *@@@$=%@@%;
 *               ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package cn.sagacloud.server.algorithm.models.entities

import cn.sagacloud.server.algorithm.models.jsonAnalyzer.Location
import cn.sagacloud.server.algorithm.models.jsonAnalyzer.Parameter
import cn.sagacloud.server.algorithm.models.jsonAnalyzer.Point
import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Table


/**
 * 部件
 *
 * @author jxing
 */
@ApiModel(description = "部件")
@Table(name = "revit.component")
@JsonIgnoreProperties(ignoreUnknown = true)
class EquipPart  : BaseComponent(){

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Column(name = "name")
    @JSONField(name = "Name")
    @JsonProperty("Name")
    var name: String? = null

    /** 补充信息 */
    @ApiModelProperty(value = "补充信息")
    @Column(name = "tag")
    @JSONField(name = "Tag")
    @JsonProperty("Tag")
    var tag: String? = null

    /** 本地编码 */
    @ApiModelProperty(value = "本地编码")
    @Column(name = "local_id")
    var localId: String? = null

    /** 本地名称 */
    @ApiModelProperty(value = "本地名称")
    @Column(name = "local_name")
    var localName: String? = null

    /** 6位部件类型编码 */
    @ApiModelProperty(value = "6位部件类型编码")
    @Column(name = "family")
    @JSONField(name = "Family")
    @JsonProperty("Family")
    var family: String? = null

    /** 类型中文名称 */
    @ApiModelProperty(value = "类型中文名称")
    @Column(name = "family_name")
    @JSONField(name = "FamilyName")
    @JsonProperty("FamilyName")
    var familyName: String? = null

    /** 族符号 */
    @ApiModelProperty(value = "族符号")
    @Column(name = "family_symbol")
    @JSONField(name = "FamilySymbol")
    @JsonProperty("FamilySymbol")
    var familySymbol: String? = null

    /** 定位点 */
    @ApiModelProperty(value = "定位点")
    @Column(name = "location")
    @JsonProperty("Location")
    var location: Location? = null

    /** 设备轮廓 */
    @ApiModelProperty(value = "设备轮廓")
    @Column(name = "outline")
    @JsonProperty("OutLine")
    var outline : ArrayList<ArrayList<Point>>? = null

    /** 参数列表 */
    @ApiModelProperty(value = "参数列表")
    @Column(name = "parameters")
    @JSONField(name = "Parameters")
    @JsonProperty("Parameters")
    var parameters: ArrayList<Parameter>? = null

    /** 所属设备的revit_id */
    @ApiModelProperty(value = "所属设备的revit_id")
    @Column(name = "owner")
    @JsonProperty("Owner")
    var owner: String? = null

    /** 所属设备的id */
    @ApiModelProperty(value = "所属设备的id")
    @Column(name = "owner_id")
    var ownerId : String? = null

    /** 所属设备的sourceId */
    @ApiModelProperty(value = "所属设备的sourceId")
    @Column(name = "owner_source_id")
    var ownerSourceId : String? = null

    /** 旋转角度 */
    @ApiModelProperty(value = "旋转角度")
    @Column(name = "rotation")
    @JsonProperty("Rotation")
    var rotation: Double? = null

    /** 资产id */
    @ApiModelProperty(value = "资产id")
    @Column(name = "property_id")
    @JsonProperty("PropertyId")
    @JSONField(name = "PropertyId")
    var propertyId: String? = null

    /** BIMID */
    @ApiModelProperty(value = "BIMID")
    @Column(name = "bimid")
    @JSONField(name = "BimId")
    @JsonProperty("BimId")
    var bimId: String? = null

    /** 万达BIMTypeID */
    @ApiModelProperty(value = "万达BIMTypeID")
    @Column(name = "bim_type_id")
    @JSONField(name = "BIMTypeID")
    @JsonProperty("BIMTypeID")
    var bimTypeID: String? = null
}