/*
 * ********************************************************************************************************************
 *
 *                      :*$@@%$*:                         ;:                ;;    ;;
 *                    :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                   :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                   =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                   =@*                                  %!              @ $= % %@=   =%@!      %=
 *              *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *            %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *          ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *          $@*   ;@@@%=!:                *@*
 *          =@$    ;;;!=%@@@@=!           =@!
 *           %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *            ;%@@$=$@@%*       *@@@$=%@@%;
 *               ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package cn.sagacloud.server.algorithm.models.entities

import cn.sagacloud.server.algorithm.models.jsonAnalyzer.Location
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 轴网
 *
 * @author jxing
 */
@ApiModel(description = "轴网")
@Table(name = "revit.grid")
@JsonIgnoreProperties(ignoreUnknown = true)
class Grid : BaseComponent() {

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Column(name = "name")
    @JsonProperty("Name")
    var name: String? = null

    /** 定位点 */
    @ApiModelProperty(value = "定位点")
    @Column(name = "location")
    @JsonProperty("Location")
    var location: Location? = null

//    /** 起始点 */
//    @ApiModelProperty(value = "起始点")
//    @Column(name = "start")
//    var start: Map<String, Any?>? = null
//
//    /** 中心点 */
//    @ApiModelProperty(value = "中心点")
//    @Column(name = "mid")
//    var mid: Map<String, Any?>? = null
//
//    /** 结束点 */
//    @ApiModelProperty(value = "结束点")
//    @Column(name = "md5")
//    var end : Map<String, Any?>? = null
}