package cn.sagacloud.server.algorithm.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 信息点对照表
 * @author  Cainga
 * @date  2020/12/3 16:01
 */

@ApiModel(description = "信息点对照表")
@Table(name = "revit.info_point_comp")
@JsonIgnoreProperties(ignoreUnknown = true)
open class InfoPointComp {

    /** id */
    @ApiModelProperty(value = "id")
    @Column(name = "id", updatable = false)
    @Id
    var id: Int? = null

    /** 4位部件类型编码 */
    @ApiModelProperty(value = "4位部件类型编码")
    @Column(name = "family")
    @JSONField(name = "Family")
    @JsonProperty("Family")
    var family: String? = null

    /** 信息点编码 */
    @ApiModelProperty(value = "信息点编码")
    @Column(name = "info_point_code")
    @JSONField(name = "InfoPointCode")
    @JsonProperty("InfoPointCode")
    var infoPointCode: String? = null

    /** 信息点名称 */
    @ApiModelProperty(value = "信息点名称")
    @Column(name = "info_point_name")
    @JSONField(name = "InfoPointName")
    @JsonProperty("InfoPointName")
    var infoPointName: String? = null

    /** 标准信息点编码 */
    @ApiModelProperty(value = "标准信息点编码")
    @Column(name = "s_info_point_code")
    @JSONField(name = "SInfoPointCode")
    @JsonProperty("SInfoPointCode")
    var sInfoPointCode: String? = null

    /** 标准信息点名称  */
    @ApiModelProperty(value = "标准信息点名称")
    @Column(name = "s_info_point_name")
    @JSONField(name = "SInfoPointName")
    @JsonProperty("SInfoPointName")
    var sInfoPointName: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 对象类型 */
    @ApiModelProperty(value = "对象类型")
    @Column(name = "obj_type")
    @JSONField(name = "ObjType")
    var objType: String? = null

}