package cn.sagacloud.server.algorithm.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 管道对照表
 * @author  Cainga
 * @date  2020/12/3 15:53
 */

@ApiModel(description = "管道对照")
@Table(name = "revit.pd_comp")
@JsonIgnoreProperties(ignoreUnknown = true)
open class PipeDuctComp {

    /** id */
    @Column(name = "id", updatable = false)
    @Id
    @ApiModelProperty(value = "Id")
    var id: Int? = null

    /** 标准管道名称 */
    @ApiModelProperty(value = "标准管道名称")
    @Column(name = "pd_name")
    @JSONField(name = "pdName")
    var pdName: String? = null

    /** 项目管道名称 */
    @ApiModelProperty(value = "模型中管道名称")
    @Column(name = "p_pd_name")
    @JSONField(name = "PPdName")
    var pPdName: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 标准管道设备类型编码 */
    @ApiModelProperty(value = "标准管道设备类型编码")
    @Column(name = "class_code")
    @JSONField(name = "ClassCode")
    var classCode: String? = null

    /** 标准管道设备类型名称 */
    @ApiModelProperty(value = "标准管道设备类型名称")
    @Column(name = "class_name")
    @JSONField(name = "ClassName")
    var className: String? = null

    /** 用途编码 */
    @ApiModelProperty(value = "用途编码")
    @Column(name = "use_code")
    @JSONField(name = "UseCode")
    var useCode: String? = null

    /** 用途名称 */
    @ApiModelProperty(value = "用途名称")
    @Column(name = "use_name")
    @JSONField(name = "UseName")
    var useName: String? = null


}