package cn.sagacloud.server.algorithm.models.entities

import cn.sagacloud.server.algorithm.models.modelFile.TaskEntity
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 项目
 * @author  Cainga
 * @date  2020/12/3 15:50
 */
@ApiModel(description = "项目")
@Table(name = "revit.project")
@JsonIgnoreProperties(ignoreUnknown = true)
open class Project {
    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "id", updatable = false)
    @Id
    var id: String? = null

    /** 项目名称 */
    @ApiModelProperty(value = "项目名称")
    @Column(name = "name")
    var name: String? = null

    /** 项目配置 */
    @ApiModelProperty(value = "项目配置")
    @Column(name = "config_json")
    var configJson: TaskEntity? = null

    /** 标准类型 */
    @ApiModelProperty(value = "标准类型")
    @Column(name = "type")
    var type: String? = null

    /** 识别房间或空间 */
    @ApiModelProperty(value = "识别房间或空间")
    @Column(name = "room_space")
    var roomSpace: String? = null

}