package cn.sagacloud.server.algorithm.models.excel.nonBlockingReport

import cn.sagacloud.server.algorithm.models.excel.ExcelRowData
import cn.sagacloud.server.algorithm.models.excel.IsPassedEnum
import cn.sagacloud.server.algorithm.models.excel.PreciseCellValue
import cn.sagacloud.server.algorithm.models.excel.report.ModelQualityExcelReport
import cn.sagacloud.server.algorithm.services.excel.ExcelService
import org.springframework.context.annotation.Scope
import org.springframework.stereotype.Component

/**
 *
 * 非阻塞性报告 - 构件范围检查
 * @author jxing
 */
@Component
@Scope("prototype")
class ComponentRangeReport : ModelQualityExcelReport() {

    // excel中sheet的索引, 从0开始
    override var sheetIndex = 2

    override var rowValue : ArrayList<ExcelRowData> = ArrayList()
    // 在excel中开始插入数据的索引(真实行数减1)
    override var excelStartRow = 5

    // 检查总数文字坐标
    override var checkCntRowIdx = 3
    override var checkCntClmIdx = 0

    class Data : ExcelRowData() {
        var floorName = ""
        var familyName = ""
        var type = ""
        var id = ""
        var isPassed = IsPassedEnum.Unpass //= IsPassedEnum.getIsPassedEnum(false)
        var note = ""
    }
}