package cn.sagacloud.server.algorithm.models.excel.nonBlockingReport

import cn.sagacloud.server.algorithm.models.excel.ExcelRowData
import cn.sagacloud.server.algorithm.models.excel.IsPassedEnum
import cn.sagacloud.server.algorithm.models.excel.report.ModelQualityExcelReport
import org.springframework.context.annotation.Scope
import org.springframework.stereotype.Component

/**
 *
 * 非阻塞性报告 - 系统类型名称检查
 * @author jxing
 */
@Component
@Scope("prototype")
class SystemNameReport : ModelQualityExcelReport() {

    // excel中sheet的索引, 从0开始
    override var sheetIndex = 7

    override var rowValue : ArrayList<ExcelRowData> = ArrayList()
    // 在excel中开始插入数据的索引(真实行数减1)
    override var excelStartRow = 4

    class Data : ExcelRowData() {
        var floorName = ""
        var systemName = ""
        var type = ""
        var isPassed = IsPassedEnum.Unpass //= IsPassedEnum.getIsPassedEnum(false)
        var note = ""
    }
}