package cn.sagacloud.server.algorithm.models.excel.report

import cn.sagacloud.server.algorithm.models.excel.ExcelRowData
import cn.sagacloud.server.algorithm.models.excel.IsPassedEnum
import org.springframework.context.annotation.Scope
import org.springframework.stereotype.Component

/**
 *
 * 阻塞性报告 - 多楼层标高报告
 * @author jxing
 */
@Component
@Scope("prototype")
class ModelLevelReport : ModelQualityExcelReport() {

    // excel中sheet的索引, 从0开始
    override var sheetIndex = 3
    override var rowValue : ArrayList<ExcelRowData> = ArrayList()
    // 在excel中开始插入数据的索引(真实行数减1)
    override var excelStartRow = 4

    class Data : ExcelRowData(){
        var floorName = ""
        var planName = ""
        var levelHeight = ""
        var isPassed = IsPassedEnum.Unpass
        var note = ""
    }

}