package cn.sagacloud.server.algorithm.models.excel.report

import cn.sagacloud.server.algorithm.models.excel.ExcelRowData
import cn.sagacloud.server.algorithm.models.excel.IsPassedEnum
import org.springframework.context.annotation.Scope
import org.springframework.stereotype.Component

/**
 *
 * 阻塞性报告 - 平面名称报告
 * @author jxing
 */
@Component
@Scope("prototype")
class PlanNamingReport : ModelQualityExcelReport() {

    // excel中sheet的索引, 从0开始
    override var sheetIndex = 1
    override var rowValue : ArrayList<ExcelRowData> = ArrayList()
    // 在excel中开始插入数据的索引(真实行数减1)
    override var excelStartRow = 5

    // 顺序需要保证
    class Data : ExcelRowData() {
        var floorName = ""
        var planName = ""
        var isPassed = IsPassedEnum.Unpass
        var note = ""
    }
}