/*
 * ********************************************************************************************************************
 *
 *                      :*$@@%$*:                         ;:                ;;    ;;
 *                    :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                   :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                   =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                   =@*                                  %!              @ $= % %@=   =%@!      %=
 *              *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *            %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *          ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *          $@*   ;@@@%=!:                *@*
 *          =@$    ;;;!=%@@@@=!           =@!
 *           %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *            ;%@@$=$@@%*       *@@@$=%@@%;
 *               ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package cn.sagacloud.server.algorithm.models.modelFile

import com.sybotan.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 *
 *
 * @author jxing
 */
@ApiModel(description = "模型楼层")
@Table(name = "revit.model_floor")
class FloorModel : SBaseEntity() {
    /** 表自增id */
    @ApiModelProperty(value = "表自增id")
    @Column(name = "id")
    @Id
    var id: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    var projectId: String? = null

    /** 楼层名称 */
    @ApiModelProperty(value = "楼层名称")
    @Column(name = "floor_name")
    var floorName: String? = null

    /** 该楼层当前的模型id */
    @ApiModelProperty(value = "该楼层当前的模型id")
    @Column(name = "current_model_id")
    var currentModelId: String? = null

    /** 该楼层所属的文件夹id */
    @ApiModelProperty(value = "该楼层所属的文件夹id")
    @Column(name = "folder_id")
    var folderId: String? = null

    // new

    /** 该楼层在物理世界上的楼层id */
    @ApiModelProperty(value = "该楼层在物理世界上的楼层id")
    var floorId: String? = null

    /** 该楼层在物理世界上的楼层id */
    @ApiModelProperty(value = "是否覆盖以前绑定的楼层, true是覆盖, false是只添加, 默认false")
    var isCover: Boolean? = null

    /** 该楼层在物理世界上的建筑id */
    @ApiModelProperty(value = "该楼层在物理世界上的建筑id")
    @Column(name = "building_id")
    var buildingId: String? = null

//    /** 该楼层在物理世界上的楼层id */
//    @ApiModelProperty(value = "该楼层在物理世界上的楼层id")
//    @Column(name = "bind_floor_ids")
//    var floorIdList: ArrayList<String>? = null


    var bind_floor_ids: String? = null


}