/*
 * *********************************************************************************************************************
 *
 *          !!
 *        .F88X
 *        X8888Y
 *      .}888888N;
 *        i888888N;        .:!              .I$WI:
 *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
 *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
 *            +888888N;  .8888888Y                                  "&&8Y.}8,
 *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
 *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
 *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
 *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
 *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
 *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
 *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
 *      .:R888888I
 *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
 *        ~8888'
 *        .!88~                                                                     All rights reserved.
 *
 * *********************************************************************************************************************
 */

package com.persagy.server

import com.persagy.service.SPageContext

/**
 * 配置信息
 *
 * @author  PLX
 */
object Opts {
    ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    // 测试环境
    /** 数据平台地址 */
//    const val dataPlatform = "http://api.sagacloud.cn/data-platform-3"
    //const val dataPlatform = "http://192.168.20.225:8080/data-platform-3"
//    //const val saasManage = "http://192.168.30.96:8080/saas-manage3"
//
//    /** 短信平台地址 */
//    const val smsPlatform = "http://192.168.30.96:8080/sms-platform"
//    /** 短信平台appCode */
//    const val smsAppCode = "saga-test"
//    /** 发送验证码地址 */
//    const val smsSendCode = "${Opts.smsPlatform}/restSmsService/sendCode?appCode=${Opts.smsAppCode}"
//    /** 检验验证码地址 */
//    const val smsVerifyCode = "${Opts.smsPlatform}/restSmsService/verifyCode?appCode=${Opts.smsAppCode}"
//
//    /** 二维码服务器地址 */
//    const val qrCodeServer = "http://192.168.30.96:8080/qrcode"

    /** 项目 id */
    val projectId: String?
        get() = SPageContext.getHeader("projectId")
    /** 数据来源 */
    val coming: String?
        get() = SPageContext.getHeader("appId")
    /** 账号信息 */
    val account: String?
        get() = SPageContext.getHeader("userId")
    /** 集团编码 */
    val groupCode: String?
        get() = SPageContext.getHeader("groupCode")


    ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    // 线上环境
    /** 数据平台地址 */
    const val dataPlatform = "http://api.sagacloud.cn/data-platform-3"
    //const val saasManage = "http://localhost:8080/saas-manage3"

    /** 短信平台地址 */
    const val smsPlatform = "http://api.sagacloud.cn/duoduo-service/scheduler-service/sms"
//    const val smsPlatform = "api.sagacloud.cn/fm-service/sms-platform"
//    const val smsPlatform = "http://localhost:8080/sms-platform"
    /** 短信平台appCode */
    const val smsAppCode = "saas"
    /** 发送验证码地址 */
    const val smsSendCode = "${Opts.smsPlatform}/sendCode"
//    const val smsSendCode = "${Opts.smsPlatform}/restSmsService/sendCode?appCode=${Opts.smsAppCode}"
    /** 检验验证码地址 */
    const val smsVerifyCode = "${Opts.smsPlatform}/verifyCode"
//    const val smsVerifyCode = "${Opts.smsPlatform}/restSmsService/verifyCode?appCode=${Opts.smsAppCode}"

    /** 二维码服务器地址 */
    const val qrCodeServer = "http://localhost:8080/qrcode"

    /** 楼层平面图 */
    const val FLOORMAP = "floorMap"
    /**楼层标高 */
    const val FLOORELEVATION = "floorElevation"
    /** 高度 */
    const val HEIGHt = "height"
    /** 安装位置 */
    const val INSTALLLOCATION = "installLocation"
    /** 生产厂家名称 */
    val MANUFACTURER = "manufacturer"
    /** 设备型号 */
    val SPECIFICATION = "specification"
    /** 供应商单位名称 */
    val SUPPLIER = "supplier"
    /** 设备照片 */
    val PIC = "pic"
    /** 竖井类型 */
    val SHAFTFUNCTYPE = "shaftFuncType"
}
